#ifndef _module_client_h_
#define _module_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

TAO_NAMESPACE mod1 {
  TAO_NAMESPACE mod2 {
    class ex1 ;

    typedef ex1 *ex1_ptr;
    class ex1_var {

    public:
      ex1_var();
      ex1_var(mod1::mod2::ex1_ptr p);
      ex1_var(const mod1::mod2::ex1_var &a);
      ~ex1_var();
      mod1::mod2::ex1_var &operator=(mod1::mod2::ex1_ptr p);
      mod1::mod2::ex1_var &operator=(const mod1::mod2::ex1_var &p);
      mod1::mod2::ex1_ptr operator->() const;
      operator const mod1::mod2::ex1_ptr &() const;
      operator mod1::mod2::ex1_ptr &();
      mod1::mod2::ex1_ptr in() const;
      mod1::mod2::ex1_ptr &inout();
      mod1::mod2::ex1_ptr &out();
      mod1::mod2::ex1_ptr _retn();
      mod1::mod2::ex1_ptr ptr() const;

    private:
      mod1::mod2::ex1_ptr ptr_;
    } ;

    class ex1_out {

    public:
      ex1_out(mod1::mod2::ex1_ptr &r);
      ex1_out(mod1::mod2::ex1_var &r);
      ex1_out(const mod1::mod2::ex1_out &r);
      mod1::mod2::ex1_out &operator=(const mod1::mod2::ex1_out &r);
      mod1::mod2::ex1_out &operator=(const mod1::mod2::ex1_var &r);
      mod1::mod2::ex1_out &operator=(mod1::mod2::ex1_ptr r);
      operator mod1::mod2::ex1_ptr &();
      mod1::mod2::ex1_ptr &ptr();
      mod1::mod2::ex1_ptr operator->();

    private:
      mod1::mod2::ex1_ptr &ptr_;
    } ;

    class ex1 : public virtual ACE_CORBA_1 (Object) {

    public:
      static mod1::mod2::ex1_ptr _duplicate(mod1::mod2::ex1_ptr obj);
      static mod1::mod2::ex1_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
      static mod1::mod2::ex1_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
      static mod1::mod2::ex1_ptr _nil();
      virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
      virtual const char *_interface_repository_id() const;

    protected:
      ex1();
      virtual ~ex1();

    private:
      ex1(const ex1 &v);
      void operator=(const ex1 &v);

    public:
      virtual CORBA::Long m1(/* mod1::mod2::ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev);
      virtual CORBA::Long l1(/* mod1::mod2::ex1 *this, */ CORBA::Environment &_ev);
      virtual void l1(/* mod1::mod2::ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev);
      virtual CORBA::Long l2(/* mod1::mod2::ex1 *this, */ CORBA::Environment &_ev);

    protected:
      ex1(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
    } ;

    class ex2 ;

    typedef ex2 *ex2_ptr;
    class ex2_var {

    public:
      ex2_var();
      ex2_var(mod1::mod2::ex2_ptr p);
      ex2_var(const mod1::mod2::ex2_var &a);
      ~ex2_var();
      mod1::mod2::ex2_var &operator=(mod1::mod2::ex2_ptr p);
      mod1::mod2::ex2_var &operator=(const mod1::mod2::ex2_var &p);
      mod1::mod2::ex2_ptr operator->() const;
      operator const mod1::mod2::ex2_ptr &() const;
      operator mod1::mod2::ex2_ptr &();
      mod1::mod2::ex2_ptr in() const;
      mod1::mod2::ex2_ptr &inout();
      mod1::mod2::ex2_ptr &out();
      mod1::mod2::ex2_ptr _retn();
      mod1::mod2::ex2_ptr ptr() const;

    private:
      mod1::mod2::ex2_ptr ptr_;
    } ;

    class ex2_out {

    public:
      ex2_out(mod1::mod2::ex2_ptr &r);
      ex2_out(mod1::mod2::ex2_var &r);
      ex2_out(const mod1::mod2::ex2_out &r);
      mod1::mod2::ex2_out &operator=(const mod1::mod2::ex2_out &r);
      mod1::mod2::ex2_out &operator=(const mod1::mod2::ex2_var &r);
      mod1::mod2::ex2_out &operator=(mod1::mod2::ex2_ptr r);
      operator mod1::mod2::ex2_ptr &();
      mod1::mod2::ex2_ptr &ptr();
      mod1::mod2::ex2_ptr operator->();

    private:
      mod1::mod2::ex2_ptr &ptr_;
    } ;

    class ex2 : public virtual ACE_CORBA_1 (Object) {

    public:
      static mod1::mod2::ex2_ptr _duplicate(mod1::mod2::ex2_ptr obj);
      static mod1::mod2::ex2_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
      static mod1::mod2::ex2_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
      static mod1::mod2::ex2_ptr _nil();
      virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
      virtual const char *_interface_repository_id() const;

    protected:
      ex2();
      virtual ~ex2();

    private:
      ex2(const ex2 &v);
      void operator=(const ex2 &v);

    public:
      virtual CORBA::Long m2(/* mod1::mod2::ex2 *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev);
      virtual CORBA::Long l3(/* mod1::mod2::ex2 *this, */ CORBA::Environment &_ev);
      virtual void l3(/* mod1::mod2::ex2 *this, */ CORBA::Long l3, CORBA::Environment &_ev);
      virtual CORBA::Long m1(/* mod1::mod2::ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev);
      virtual CORBA::Long l1(/* mod1::mod2::ex2 *this, */ CORBA::Environment &_ev);
      virtual void l1(/* mod1::mod2::ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev);
      virtual CORBA::Long l2(/* mod1::mod2::ex2 *this, */ CORBA::Environment &_ev);

    protected:
      ex2(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
    } ;

TAO_NAMESPACE_STORAGE_CLASS    CORBA::TypeCode_ptr _tc_ex1;
TAO_NAMESPACE_STORAGE_CLASS    CORBA::TypeCode_ptr _tc_ex2;
  }

}


int flick_marshal_stub(flick_marshal_stream_t _stream, const mod1::mod2::ex1_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, mod1::mod2::ex1_ptr *_data);

void operator<<=(CORBA::Any &a, mod1::mod2::ex1_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, mod1::mod2::ex1_ptr &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const mod1::mod2::ex2_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, mod1::mod2::ex2_ptr *_data);

void operator<<=(CORBA::Any &a, mod1::mod2::ex2_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, mod1::mod2::ex2_ptr &o);

#endif /* _module_client_h_ */
