#include "complex-client.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

int flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_xdr_stringlen(char *, _data->name, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(207, _flick_abort0);
  flick_suntcp_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_xdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len + 1 > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_xdr_encode_bcopy(4, _data->name, 1 * _t0_temp_string_len);
  flick_suntcp_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(207);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(207);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len + 1 > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_check_span(1 * _t1_temp_string_len * 1, _flick_abort3);
  flick_suntcp_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc((_t1_temp_string_len + 1) * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->name = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->name, 1 * _t1_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t1_temp_string_len);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort6);
  _data->name[_t1_temp_string_len] = 0;
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(207);
  return 0;
  {
  _flick_abort6:
    sun_flick_free(_data->name);
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned int _t5_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort7);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->people_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->people_len; _t5_array_iter++)
    {
      flick_unsigned32_t _t7_temp_string_len;

      flick_xdr_stringlen(char *, _data->people_val[_t5_array_iter].name, flick_unsigned32_t , _t7_temp_string_len);

      flick_suntcp_encode_new_glob(207, _flick_abort17);
      flick_suntcp_encode_new_chunk(4 + 1 * _t7_temp_string_len);
      flick_xdr_encode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
      if (_t7_temp_string_len + 1 > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort17);
      flick_xdr_encode_bcopy(4, _data->people_val[_t5_array_iter].name, 1 * _t7_temp_string_len);
      flick_suntcp_encode_end_chunk(4 + 1 * _t7_temp_string_len);
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
      flick_suntcp_encode_end_glob(207);
      continue;
      {
      _flick_abort17:
        goto _flick_abort7;
      }
    }
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort23);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->people_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc((_data->people_len + 1) * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort23);
    _data->people_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->people_len * 4, _flick_abort36);
  for (_t11_array_iter = 0; _t11_array_iter < _data->people_len; _t11_array_iter++)
    {
      flick_unsigned32_t _t13_temp_string_len;

      flick_suntcp_decode_new_glob(207);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
      if (_t13_temp_string_len + 1 > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort37);
      flick_suntcp_decode_end_chunk(4);
      flick_suntcp_check_span(1 * _t13_temp_string_len * 1, _flick_abort37);
      flick_suntcp_decode_new_chunk(1 * _t13_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc((_t13_temp_string_len + 1) * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
        _data->people_val[_t11_array_iter].name = _t_alloc_ptr;
      }
      flick_xdr_decode_bcopy(0, _data->people_val[_t11_array_iter].name, 1 * _t13_temp_string_len);
      flick_suntcp_decode_end_chunk(1 * _t13_temp_string_len);
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_check_span(0, _flick_abort44);
      _data->people_val[_t11_array_iter].name[_t13_temp_string_len] = 0;
      flick_suntcp_decode_end_chunk(0);
      flick_suntcp_decode_end_glob(207);
      continue;
      {
      _flick_abort47:
        _t11_array_iter--;
      _flick_abort44:
        sun_flick_free(_data->people_val[_t11_array_iter].name);
      _flick_abort37:
        if ((unsigned int )_t11_array_iter < _data->people_len)
          goto _flick_abort47;
        goto _flick_abort36;
      }
    }
  return 0;
  {
  _flick_abort36:
    sun_flick_free(_data->people_val);
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void *op_2(people *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  void *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort51);
  }
  {
    unsigned int _t23_array_iter;

    flick_suntcp_encode_new_glob(24, _flick_abort51);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, arg->people_len, unsigned int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
    for (_t23_array_iter = 0; _t23_array_iter < arg->people_len; _t23_array_iter++)
      {
        flick_unsigned32_t _t25_temp_string_len;

        flick_xdr_stringlen(char *, arg->people_val[_t23_array_iter].name, flick_unsigned32_t , _t25_temp_string_len);

        flick_suntcp_encode_new_glob(207, _flick_abort77);
        flick_suntcp_encode_new_chunk(4 + 1 * _t25_temp_string_len);
        flick_xdr_encode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
        if (_t25_temp_string_len + 1 > 201)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort77);
        flick_xdr_encode_bcopy(4, arg->people_val[_t23_array_iter].name, 1 * _t25_temp_string_len);
        flick_suntcp_encode_end_chunk(4 + 1 * _t25_temp_string_len);
        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_encode_end_chunk(0);
        flick_suntcp_encode_end_glob(207);
        continue;
        {
        _flick_abort77:
          goto _flick_abort51;
        }
      }
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_check_span(4, _flick_abort51);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t27_storage;

            _return = (char *)(&_t27_storage);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(4);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort88);
            break;
            {
            _flick_abort88:
              goto _flick_abort51;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
            flick_suntcp_decode_end_glob(4);
            break;
            {
            _flick_abort89:
              goto _flick_abort51;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_sun_client_error(xdr, sun, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

