#ifndef _turtle_server_server_h_
#define _turtle_server_server_h_

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>
#define _PROG_Server ((u_long)1450744508)
#define _VERS_Server ((u_long)1)
#include <flick/pres/corba.h>

#ifndef _typedef___Server
#define _typedef___Server
typedef CORBA_Object Server;
#endif /* _typedef___Server */

int flick_marshal_stub_Server(flick_marshal_stream_t _stream, Server *_data);

int flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data);

extern flick_dispatch_t Server_server;

CORBA_long Server_SetSize(Server _obj, CORBA_long width, CORBA_long height, CORBA_Environment *_ev);

CORBA_long Server_AddWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev);

CORBA_long Server_DelWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev);

CORBA_long Server_AddRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_long color, CORBA_Environment *_ev);

CORBA_long Server_DelRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_Environment *_ev);

CORBA_long Server_SetTurtle(Server _obj, CORBA_long x, CORBA_long y, CORBA_long angle, CORBA_Environment *_ev);

CORBA_long Server_GetTurtle(Server _obj, CORBA_long *x, CORBA_long *y, CORBA_long *angle, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#endif /* _turtle_server_server_h_ */
