#include "unionplain_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_un[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_un;
	s.vers_num = _VERS_un;

	reg_success = flick_server_register(s, &un_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.y, CORBA_short );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.y, CORBA_short );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort16);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->_d, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.y, CORBA_short );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'c':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(4, _flick_abort26);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->_d, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_check_span(4, _flick_abort32);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_suntcp_decode_end_chunk(4);
        break;
        {
        _flick_abort32:
          goto _flick_abort26;
        }
      }
    case 'b':
      {
        flick_suntcp_check_span(4, _flick_abort33);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.y, CORBA_short );
        flick_suntcp_decode_end_chunk(4);
        break;
        {
        _flick_abort33:
          goto _flick_abort26;
        }
      }
    case 'c':
      {
        flick_suntcp_check_span(4, _flick_abort34);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_decode_end_chunk(4);
        break;
        {
        _flick_abort34:
          goto _flick_abort26;
        }
      }
    default:
      {
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort36);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->_d, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case -1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.a, CORBA_short );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 50:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.b, CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.c, CORBA_char );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->_d, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case -1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.a, CORBA_short );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 50:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.b, CORBA_long );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.c, CORBA_char );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(48, _flick_abort52);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t2_temp_string_len;

        flick_xdr_stringlen(CORBA_char *, _data->_u.a, flick_unsigned32_t , _t2_temp_string_len);

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(48);
        flick_suntcp_encode_new_glob(1 * _t2_temp_string_len, _flick_abort67);
        flick_suntcp_encode_new_chunk(1 * _t2_temp_string_len);
        flick_xdr_encode_bcopy(0, _data->_u.a, 1 * _t2_temp_string_len);
        CORBA_flick_free(_data->_u.a);
        flick_suntcp_encode_end_chunk(1 * _t2_temp_string_len);
        flick_suntcp_encode_end_glob(1 * _t2_temp_string_len);
        flick_suntcp_encode_new_glob(3, _flick_abort67);
        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_encode_end_chunk(0);
        flick_suntcp_encode_end_glob(3);
        break;
        {
        _flick_abort67:
          goto _flick_abort52;
        }
      }
    case 2:
      {
#if BYTE_ORDER != BIG_ENDIAN
        CORBA_unsigned_long _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _data->_u.b._length, CORBA_unsigned_long );
        if (_data->_u.b._length + 1 > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort70);
        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t3_array_iter = 0; _t3_array_iter < _data->_u.b._length; _t3_array_iter++)
          {
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, _data->_u.b._buffer[_t3_array_iter], CORBA_long );
            flick_suntcp_encode_end_chunk(4);
            continue;
          }
        if (_data->_u.b._release)
          CORBA_flick_free(_data->_u.b._buffer);
        _data->_u.b._maximum = 0;
        _data->_u.b._release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_encode_new_chunk(4 * _data->_u.b._length);
        flick_xdr_encode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        if (_data->_u.b._release)
          CORBA_flick_free(_data->_u.b._buffer);
        _data->_u.b._maximum = 0;
        _data->_u.b._release = 0;
        flick_suntcp_encode_end_chunk(4 * _data->_u.b._length);
#endif /* ENDIANness */
        flick_suntcp_encode_end_glob(48);
        break;
        {
        _flick_abort70:
          goto _flick_abort52;
        }
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.c, CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(48);
  flick_suntcp_check_span(8, _flick_abort80);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t6_temp_string_len;

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(48);
        flick_suntcp_decode_new_glob(1 * _t6_temp_string_len);
        flick_suntcp_check_span(1 * _t6_temp_string_len * 1, _flick_abort98);
        flick_suntcp_decode_new_chunk(1 * _t6_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t6_temp_string_len + 1) * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort98);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_xdr_decode_bcopy(0, _data->_u.a, 1 * _t6_temp_string_len);
        flick_suntcp_decode_end_chunk(1 * _t6_temp_string_len);
        flick_suntcp_decode_end_glob(1 * _t6_temp_string_len);
        flick_suntcp_decode_new_glob(3);
        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_check_span(0, _flick_abort101);
        _data->_u.a[_t6_temp_string_len] = 0;
        flick_suntcp_decode_end_chunk(0);
        flick_suntcp_decode_end_glob(3);
        break;
        {
        _flick_abort101:
          CORBA_flick_free(_data->_u.a);
        _flick_abort98:
          goto _flick_abort80;
        }
      }
    case 2:
      {
#if BYTE_ORDER != BIG_ENDIAN
        CORBA_unsigned_long _t7_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _data->_u.b._length, CORBA_unsigned_long );
        if (_data->_u.b._length + 1 > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort102);
        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        {
          CORBA_long *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort105);
          _data->_u.b._buffer = _t_alloc_ptr;
          _data->_u.b._maximum = 10;
          _data->_u.b._release = 1;
        }
        flick_suntcp_check_span(_data->_u.b._length * 4, _flick_abort107);
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b._length; _t7_array_iter++)
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _data->_u.b._buffer[_t7_array_iter], CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            continue;
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_check_span(4 * _data->_u.b._length * 1, _flick_abort110);
        flick_suntcp_decode_new_chunk(4 * _data->_u.b._length);
        {
          CORBA_long *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort110);
          _data->_u.b._buffer = _t_alloc_ptr;
          _data->_u.b._maximum = 10;
          _data->_u.b._release = 1;
        }
        flick_xdr_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_suntcp_decode_end_chunk(4 * _data->_u.b._length);
#endif /* ENDIANness */
        flick_suntcp_decode_end_glob(48);
        break;
        {
#if BYTE_ORDER != BIG_ENDIAN
        _flick_abort107:
          CORBA_flick_free(_data->_u.b._buffer);
        _flick_abort105:
#else /* BIG_ENDIAN - do a bcopy*/
        _flick_abort110:
#endif /* ENDIANness */
        _flick_abort102:
          goto _flick_abort80;
        }
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.c, CORBA_long );
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort114);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort115);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort115:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t un_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t36_switch_tag;

    flick_suntcp_decode_new_glob(84);
    flick_suntcp_check_span(40, _flick_abort118);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t37_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t37_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t37_switch_tag)
            {
            case 'o':
              {
                char _t38_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t38_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t38_switch_tag)
                  {
                  case 'n':
                    {
                      char _t39_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t39_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t39_switch_tag)
                        {
                        case 'e':
                          {
                            char _t40_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t40_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t40_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    unsigned int _t41_ignore;
                                    struct Foo _return;
                                    struct Foo2 *_local_a;
                                    struct Foo2 _t42_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t43_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort217);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t41_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t41_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t41_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t41_ignore, unsigned int );
                                    _local_a = (struct Foo2 *)(&_t42_storage);
                                    flick_xdr_decode_char8(16, _local_a->_d, CORBA_char );
                                    flick_suntcp_decode_end_chunk(20);
                                    switch (_local_a->_d)
                                      {
                                      case 'a':
                                        {
                                          flick_suntcp_check_span(4, _flick_abort223);
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort223:
                                            goto _flick_abort217;
                                          }
                                        }
                                      case 'b':
                                        {
                                          flick_suntcp_check_span(4, _flick_abort224);
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed16(0, _local_a->_u.y, CORBA_short );
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort224:
                                            goto _flick_abort217;
                                          }
                                        }
                                      case 'c':
                                        {
                                          flick_suntcp_check_span(4, _flick_abort225);
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort225:
                                            goto _flick_abort217;
                                          }
                                        }
                                      default:
                                        {
                                          break;
                                        }
                                      }
                                    _ev = (CORBA_Environment *)(&_t43_storage);
                                    flick_suntcp_decode_end_glob(84);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = un_one(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort217);
                                      flick_suntcp_encode_new_glob(12, _flick_abort217);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _return._d, CORBA_long );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_return._d)
                                              {
                                              case 1:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _return._u.x, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  break;
                                                }
                                              case 2:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed16(0, _return._u.y, CORBA_short );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_char8(0, _return._u.z, CORBA_char );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  break;
                                                }
                                              }
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort246);
                                            break;
                                            {
                                            _flick_abort246:
                                              goto _flick_abort217;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort247:
                                              goto _flick_abort217;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort217:
                                      goto _flick_abort216;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort216:
                                    goto _flick_abort118;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            case 't':
              {
                char _t44_switch_tag;

                flick_suntcp_check_span(36, _flick_abort118);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t44_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t44_switch_tag)
                  {
                  case 'w':
                    {
                      char _t45_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t45_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t45_switch_tag)
                        {
                        case 'o':
                          {
                            char _t46_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t46_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t46_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    unsigned int _t47_ignore;
                                    struct Foo3 _return;
                                    struct Foo4 *_local_a;
                                    struct Foo4 _t48_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t55_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort249);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t47_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t47_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t47_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t47_ignore, unsigned int );
                                    _local_a = (struct Foo4 *)(&_t48_storage);
                                    flick_xdr_decode_signed32(16, _local_a->_d, CORBA_long );
                                    flick_suntcp_decode_end_chunk(20);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_unsigned32_t _t52_temp_string_len;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_unsigned32(0, _t52_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(4);
                                          flick_suntcp_decode_end_glob(84);
                                          flick_suntcp_decode_new_glob(1 * _t52_temp_string_len);
                                          flick_suntcp_check_span(1 * _t52_temp_string_len * 1, _flick_abort265);
                                          flick_suntcp_decode_new_chunk(1 * _t52_temp_string_len);
                                          if ((_t52_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t52_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort265);
                                                _local_a->_u.a = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_a->_u.a, 1 * _t52_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t52_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t52_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort268);
                                          _local_a->_u.a[_t52_temp_string_len] = 0;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          break;
                                        _flick_abort_block305:
                                          {
                                          _flick_abort268:
                                            auto_flick_free(_local_a->_u.a);
                                          _flick_abort265:
                                            goto _flick_abort249;
                                          }
                                        }
                                      case 2:
                                        {
#if BYTE_ORDER != BIG_ENDIAN
                                          CORBA_long _t53_storage[10];
                                          CORBA_unsigned_long _t54_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_unsigned32(0, _local_a->_u.b._length, CORBA_unsigned_long );
                                          if (_local_a->_u.b._length + 1 > 10)
                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort269);
                                          flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                          _local_a->_u.b._buffer = (CORBA_long *)_t53_storage;
                                          _local_a->_u.b._maximum = 10;
                                          _local_a->_u.b._release = 0;
                                          flick_suntcp_check_span(_local_a->_u.b._length * 4, _flick_abort272);
                                          for (_t54_array_iter = 0; _t54_array_iter < _local_a->_u.b._length; _t54_array_iter++)
                                            {
                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_signed32(0, _local_a->_u.b._buffer[_t54_array_iter], CORBA_long );
                                              flick_suntcp_decode_end_chunk(4);
                                              continue;
                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                          flick_suntcp_check_span(4 * _local_a->_u.b._length * 1, _flick_abort276);
                                          flick_suntcp_decode_new_chunk(4 * _local_a->_u.b._length);
                                          flick_xdr_decode_msgptr(0, _local_a->_u.b._buffer, CORBA_long *);
                                          _local_a->_u.b._maximum = _local_a->_u.b._length;
                                          _local_a->_u.b._release = 0;
                                          flick_suntcp_decode_end_chunk(4 * _local_a->_u.b._length);
#endif /* ENDIANness */
                                          flick_suntcp_decode_end_glob(84);
                                          break;
                                        _flick_abort_block309:
                                          {
#if BYTE_ORDER != BIG_ENDIAN
                                          _flick_abort272:
#else /* BIG_ENDIAN - do a bcopy*/
                                          _flick_abort276:
#endif /* ENDIANness */
                                          _flick_abort269:
                                            goto _flick_abort249;
                                          }
                                        }
                                      default:
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_a->_u.c, CORBA_long );
                                          flick_suntcp_decode_end_chunk(4);
                                          flick_suntcp_decode_end_glob(84);
                                          break;
                                        }
                                      _flick_abort_block304:
                                        {
                                          switch (_local_a->_d)
                                            {
                                            case 1:
                                              goto _flick_abort_block305;
                                            case 2:
                                              goto _flick_abort_block309;
                                            default:
                                              break;
                                            }
                                        }
                                      }
                                    _ev = (CORBA_Environment *)(&_t55_storage);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = un_two(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort278);
                                      flick_suntcp_encode_new_glob(12, _flick_abort278);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed16(0, _return._d, CORBA_short );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_return._d)
                                              {
                                              case -1:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed16(0, _return._u.a, CORBA_short );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  break;
                                                }
                                              case 50:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _return._u.b, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_char8(0, _return._u.c, CORBA_char );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  break;
                                                }
                                              }
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort298);
                                            break;
                                            {
                                            _flick_abort298:
                                              goto _flick_abort278;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort299);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort299:
                                              goto _flick_abort278;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort278:
                                      goto _flick_abort_block304;
                                    _flick_abort249:
                                      goto _flick_abort248;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort248:
                                    goto _flick_abort118;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t56_switch_tag;

          flick_suntcp_check_span(40, _flick_abort118);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t56_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t56_switch_tag)
            {
            case 'i':
              {
                char _t57_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t57_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t57_switch_tag)
                  {
                  case 's':
                    {
                      char _t58_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t58_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t58_switch_tag)
                        {
                        case '_':
                          {
                            char _t59_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t59_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t59_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t60_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t60_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t60_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t61_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t62_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t63_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort301);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t61_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t61_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t61_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t61_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t62_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(84);
                                          flick_suntcp_decode_new_glob(1 * _t62_temp_string_len);
                                          flick_suntcp_check_span(1 * _t62_temp_string_len * 1, _flick_abort301);
                                          flick_suntcp_decode_new_chunk(1 * _t62_temp_string_len);
                                          if ((_t62_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t62_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort301);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t62_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t62_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t62_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort304);
                                          _local_id[_t62_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t63_storage);
                                          _par = flick_interface_parents_un;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort304);
                                            flick_suntcp_encode_new_glob(8, _flick_abort304);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort310);
                                                  break;
                                                  {
                                                  _flick_abort310:
                                                    goto _flick_abort304;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort311);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort311:
                                                    goto _flick_abort304;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort304:
                                            auto_flick_free(_local_id);
                                          _flick_abort301:
                                            goto _flick_abort300;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort300:
                                          goto _flick_abort118;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
          flick_suntcp_decode_end_glob(84);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort118:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort117);
  _flick_abort117:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

