#include "arrays-client.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	0
};

/* */

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(40, _flick_abort1);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, inp->first, CORBA_char );
    flick_trapeze_client_encode_array(inp->data, 4 * 50);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_new_chunk_align(24, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last, CORBA_double );
    flick_cdr_encode_char8(8, iop->first, CORBA_char );
    flick_trapeze_client_encode_array(iop->data, 4 * 50);
    flick_cdr_encode_float64(16, iop->last, CORBA_double );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(40);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(41, _flick_abort7);
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first, CORBA_char );
            flick_trapeze_client_decode_array(_return.data, 4 * 50);
            flick_trapeze_decode_end_chunk(1);
            flick_trapeze_decode_new_chunk_align(40, 3, 2, 1);
            flick_trapeze_check_span(40, _flick_abort7);
            flick_cdr_decode_float64(0, _return.last, CORBA_double );
            flick_cdr_decode_char8(8, iop->first, CORBA_char );
            flick_trapeze_client_decode_array(iop->data, 4 * 50);
            flick_cdr_decode_float64(16, iop->last, CORBA_double );
            flick_cdr_decode_char8(24, outp->first, CORBA_char );
            flick_trapeze_client_decode_array(outp->data, 4 * 50);
            flick_cdr_decode_float64(32, outp->last, CORBA_double );
            flick_trapeze_decode_end_chunk(40);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort11);
  }
  {
    flick_trapeze_encode_new_glob(37, _flick_abort11);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(25, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first, CORBA_double );
    flick_trapeze_client_encode_array(inp->data, 4 * 50);
    flick_cdr_encode_char8(8, inp->last, CORBA_char );
    flick_cdr_encode_float64(16, iop->first, CORBA_double );
    flick_trapeze_client_encode_array(iop->data, 4 * 50);
    flick_cdr_encode_char8(24, iop->last, CORBA_char );
    flick_trapeze_encode_end_chunk(25);
    flick_trapeze_encode_end_glob(37);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(49);
      flick_trapeze_check_span(4, _flick_abort11);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(41, 3, 2, 0);
            flick_trapeze_check_span(41, _flick_abort17);
            flick_cdr_decode_float64(0, _return.first, CORBA_double );
            flick_trapeze_client_decode_array(_return.data, 4 * 50);
            flick_cdr_decode_char8(8, _return.last, CORBA_char );
            flick_cdr_decode_float64(16, iop->first, CORBA_double );
            flick_trapeze_client_decode_array(iop->data, 4 * 50);
            flick_cdr_decode_char8(24, iop->last, CORBA_char );
            flick_cdr_decode_float64(32, outp->first, CORBA_double );
            flick_trapeze_client_decode_array(outp->data, 4 * 50);
            flick_cdr_decode_char8(40, outp->last, CORBA_char );
            flick_trapeze_decode_end_chunk(41);
            break;
            {
            _flick_abort17:
              goto _flick_abort11;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
      flick_trapeze_decode_end_glob(49);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort11:
    flick_corba_client_error(cdr, trapeze, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort21);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort21);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, inp->first, CORBA_short );
    flick_trapeze_client_encode_array(inp->data, 4 * 50);
    flick_cdr_encode_signed16(10, inp->last, CORBA_short );
    flick_cdr_encode_signed16(12, iop->first, CORBA_short );
    flick_trapeze_client_encode_array(iop->data, 4 * 50);
    flick_cdr_encode_signed16(14, iop->last, CORBA_short );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort21);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort27);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed16(0, _return.first, CORBA_short );
            flick_trapeze_client_decode_array(_return.data, 4 * 50);
            flick_cdr_decode_signed16(2, _return.last, CORBA_short );
            flick_cdr_decode_signed16(4, iop->first, CORBA_short );
            flick_trapeze_client_decode_array(iop->data, 4 * 50);
            flick_cdr_decode_signed16(6, iop->last, CORBA_short );
            flick_cdr_decode_signed16(8, outp->first, CORBA_short );
            flick_trapeze_client_decode_array(outp->data, 4 * 50);
            flick_cdr_decode_signed16(10, outp->last, CORBA_short );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_corba_client_error(cdr, trapeze, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort31);
  }
  {
    flick_trapeze_encode_new_glob(40, _flick_abort31);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, inp->first, CORBA_char );
    flick_trapeze_client_encode_array(inp->data, sizeof(struct end ) * 50);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_new_chunk_align(24, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last, CORBA_double );
    flick_cdr_encode_char8(8, iop->first, CORBA_char );
    flick_trapeze_client_encode_array(iop->data, sizeof(struct end ) * 50);
    flick_cdr_encode_float64(16, iop->last, CORBA_double );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(40);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_check_span(4, _flick_abort31);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(41, _flick_abort37);
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first, CORBA_char );
            flick_trapeze_client_decode_array(_return.data, sizeof(struct end ) * 50);
            flick_trapeze_decode_end_chunk(1);
            flick_trapeze_decode_new_chunk_align(40, 3, 2, 1);
            flick_trapeze_check_span(40, _flick_abort37);
            flick_cdr_decode_float64(0, _return.last, CORBA_double );
            flick_cdr_decode_char8(8, iop->first, CORBA_char );
            flick_trapeze_client_decode_array(iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_float64(16, iop->last, CORBA_double );
            flick_cdr_decode_char8(24, outp->first, CORBA_char );
            flick_trapeze_client_decode_array(outp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_float64(32, outp->last, CORBA_double );
            flick_trapeze_decode_end_chunk(40);
            break;
            {
            _flick_abort37:
              goto _flick_abort31;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort31:
    flick_corba_client_error(cdr, trapeze, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort41);
  }
  {
    flick_trapeze_encode_new_glob(37, _flick_abort41);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(25, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first, CORBA_double );
    flick_trapeze_client_encode_array(inp->data, sizeof(struct end ) * 50);
    flick_cdr_encode_char8(8, inp->last, CORBA_char );
    flick_cdr_encode_float64(16, iop->first, CORBA_double );
    flick_trapeze_client_encode_array(iop->data, sizeof(struct end ) * 50);
    flick_cdr_encode_char8(24, iop->last, CORBA_char );
    flick_trapeze_encode_end_chunk(25);
    flick_trapeze_encode_end_glob(37);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(49);
      flick_trapeze_check_span(4, _flick_abort41);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(41, 3, 2, 0);
            flick_trapeze_check_span(41, _flick_abort47);
            flick_cdr_decode_float64(0, _return.first, CORBA_double );
            flick_trapeze_client_decode_array(_return.data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(8, _return.last, CORBA_char );
            flick_cdr_decode_float64(16, iop->first, CORBA_double );
            flick_trapeze_client_decode_array(iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(24, iop->last, CORBA_char );
            flick_cdr_decode_float64(32, outp->first, CORBA_double );
            flick_trapeze_client_decode_array(outp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(40, outp->last, CORBA_char );
            flick_trapeze_decode_end_chunk(41);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
      flick_trapeze_decode_end_glob(49);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort41:
    flick_corba_client_error(cdr, trapeze, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort51);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort51);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, inp->first, CORBA_short );
    flick_trapeze_client_encode_array(inp->data, sizeof(struct end ) * 50);
    flick_cdr_encode_signed16(10, inp->last, CORBA_short );
    flick_cdr_encode_signed16(12, iop->first, CORBA_short );
    flick_trapeze_client_encode_array(iop->data, sizeof(struct end ) * 50);
    flick_cdr_encode_signed16(14, iop->last, CORBA_short );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort51);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort57);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed16(0, _return.first, CORBA_short );
            flick_trapeze_client_decode_array(_return.data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(2, _return.last, CORBA_short );
            flick_cdr_decode_signed16(4, iop->first, CORBA_short );
            flick_trapeze_client_decode_array(iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(6, iop->last, CORBA_short );
            flick_cdr_decode_signed16(8, outp->first, CORBA_short );
            flick_trapeze_client_decode_array(outp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(10, outp->last, CORBA_short );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort57:
              goto _flick_abort51;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_corba_client_error(cdr, trapeze, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort61);
  }
  {
    flick_trapeze_encode_new_glob(40, _flick_abort61);
    flick_trapeze_encode_new_chunk(9);
    flick_cdr_encode_signed32(0, 6, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, inp->first, CORBA_char );
    flick_trapeze_client_encode_array(inp->data, sizeof(struct begin ) * 50);
    flick_trapeze_encode_end_chunk(9);
    flick_trapeze_encode_new_chunk_align(24, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last, CORBA_double );
    flick_cdr_encode_char8(8, iop->first, CORBA_char );
    flick_trapeze_client_encode_array(iop->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_float64(16, iop->last, CORBA_double );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(40);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(52);
      flick_trapeze_check_span(4, _flick_abort61);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(41, _flick_abort67);
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first, CORBA_char );
            flick_trapeze_client_decode_array(_return.data, sizeof(struct begin ) * 50);
            flick_trapeze_decode_end_chunk(1);
            flick_trapeze_decode_new_chunk_align(40, 3, 2, 1);
            flick_trapeze_check_span(40, _flick_abort67);
            flick_cdr_decode_float64(0, _return.last, CORBA_double );
            flick_cdr_decode_char8(8, iop->first, CORBA_char );
            flick_trapeze_client_decode_array(iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_float64(16, iop->last, CORBA_double );
            flick_cdr_decode_char8(24, outp->first, CORBA_char );
            flick_trapeze_client_decode_array(outp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_float64(32, outp->last, CORBA_double );
            flick_trapeze_decode_end_chunk(40);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
      flick_trapeze_decode_end_glob(52);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort61:
    flick_corba_client_error(cdr, trapeze, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort71);
  }
  {
    flick_trapeze_encode_new_glob(37, _flick_abort71);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 7, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(25, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first, CORBA_double );
    flick_trapeze_client_encode_array(inp->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_char8(8, inp->last, CORBA_char );
    flick_cdr_encode_float64(16, iop->first, CORBA_double );
    flick_trapeze_client_encode_array(iop->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_char8(24, iop->last, CORBA_char );
    flick_trapeze_encode_end_chunk(25);
    flick_trapeze_encode_end_glob(37);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(49);
      flick_trapeze_check_span(4, _flick_abort71);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(41, 3, 2, 0);
            flick_trapeze_check_span(41, _flick_abort77);
            flick_cdr_decode_float64(0, _return.first, CORBA_double );
            flick_trapeze_client_decode_array(_return.data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(8, _return.last, CORBA_char );
            flick_cdr_decode_float64(16, iop->first, CORBA_double );
            flick_trapeze_client_decode_array(iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(24, iop->last, CORBA_char );
            flick_cdr_decode_float64(32, outp->first, CORBA_double );
            flick_trapeze_client_decode_array(outp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(40, outp->last, CORBA_char );
            flick_trapeze_decode_end_chunk(41);
            break;
            {
            _flick_abort77:
              goto _flick_abort71;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
            break;
            {
            _flick_abort79:
              goto _flick_abort71;
            }
          }
        }
      flick_trapeze_decode_end_glob(49);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort71:
    flick_corba_client_error(cdr, trapeze, _flick_abort70);
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort81);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort81);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 8, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, inp->first, CORBA_short );
    flick_trapeze_client_encode_array(inp->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_signed16(10, inp->last, CORBA_short );
    flick_cdr_encode_signed16(12, iop->first, CORBA_short );
    flick_trapeze_client_encode_array(iop->data, sizeof(struct begin ) * 50);
    flick_cdr_encode_signed16(14, iop->last, CORBA_short );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return.data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort81);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort81);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort87);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed16(0, _return.first, CORBA_short );
            flick_trapeze_client_decode_array(_return.data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(2, _return.last, CORBA_short );
            flick_cdr_decode_signed16(4, iop->first, CORBA_short );
            flick_trapeze_client_decode_array(iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(6, iop->last, CORBA_short );
            flick_cdr_decode_signed16(8, outp->first, CORBA_short );
            flick_trapeze_client_decode_array(outp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(10, outp->last, CORBA_short );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort87:
              goto _flick_abort81;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
            break;
            {
            _flick_abort89:
              goto _flick_abort81;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort81:
    flick_corba_client_error(cdr, trapeze, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

