#include "array-1-server.h"

int flick_marshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(64, _flick_abort0);
  flick_fluke_encode_new_chunk(64);
  flick_fluke_encode_bcopy(0, *_data, 64);
  flick_fluke_encode_end_chunk(64);
  flick_fluke_encode_end_glob(64);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(64);
  flick_fluke_check_span(64, _flick_abort3);
  flick_fluke_decode_new_chunk(64);
  flick_fluke_decode_bcopy(0, *_data, 64);
  flick_fluke_decode_end_chunk(64);
  flick_fluke_decode_end_glob(64);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(128, _flick_abort6);
  flick_fluke_encode_new_chunk(128);
  flick_fluke_encode_bcopy(0, *_data, 128);
  flick_fluke_encode_end_chunk(128);
  flick_fluke_encode_end_glob(128);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(128);
  flick_fluke_check_span(128, _flick_abort9);
  flick_fluke_decode_new_chunk(128);
  flick_fluke_decode_bcopy(0, *_data, 128);
  flick_fluke_decode_end_chunk(128);
  flick_fluke_decode_end_glob(128);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(256, _flick_abort12);
  flick_fluke_encode_new_chunk(256);
  flick_fluke_encode_bcopy(0, *_data, 256);
  flick_fluke_encode_end_chunk(256);
  flick_fluke_encode_end_glob(256);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(256);
  flick_fluke_check_span(256, _flick_abort15);
  flick_fluke_decode_new_chunk(256);
  flick_fluke_decode_bcopy(0, *_data, 256);
  flick_fluke_decode_end_chunk(256);
  flick_fluke_decode_end_glob(256);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(512, _flick_abort18);
  flick_fluke_encode_new_chunk(512);
  flick_fluke_encode_bcopy(0, *_data, 512);
  flick_fluke_encode_end_chunk(512);
  flick_fluke_encode_end_glob(512);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(512);
  flick_fluke_check_span(512, _flick_abort21);
  flick_fluke_decode_new_chunk(512);
  flick_fluke_decode_bcopy(0, *_data, 512);
  flick_fluke_decode_end_chunk(512);
  flick_fluke_decode_end_glob(512);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(1024, _flick_abort24);
  flick_fluke_encode_new_chunk(1024);
  flick_fluke_encode_bcopy(0, *_data, 1024);
  flick_fluke_encode_end_chunk(1024);
  flick_fluke_encode_end_glob(1024);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(1024);
  flick_fluke_check_span(1024, _flick_abort27);
  flick_fluke_decode_new_chunk(1024);
  flick_fluke_decode_bcopy(0, *_data, 1024);
  flick_fluke_decode_end_chunk(1024);
  flick_fluke_decode_end_glob(1024);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2048, _flick_abort30);
  flick_fluke_encode_new_chunk(2048);
  flick_fluke_encode_bcopy(0, *_data, 2048);
  flick_fluke_encode_end_chunk(2048);
  flick_fluke_encode_end_glob(2048);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2048);
  flick_fluke_check_span(2048, _flick_abort33);
  flick_fluke_decode_new_chunk(2048);
  flick_fluke_decode_bcopy(0, *_data, 2048);
  flick_fluke_decode_end_chunk(2048);
  flick_fluke_decode_end_glob(2048);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4096, _flick_abort36);
  flick_fluke_encode_new_chunk(4096);
  flick_fluke_encode_bcopy(0, *_data, 4096);
  flick_fluke_encode_end_chunk(4096);
  flick_fluke_encode_end_glob(4096);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4096);
  flick_fluke_check_span(4096, _flick_abort39);
  flick_fluke_decode_new_chunk(4096);
  flick_fluke_decode_bcopy(0, *_data, 4096);
  flick_fluke_decode_end_chunk(4096);
  flick_fluke_decode_end_glob(4096);
  return 0;
  {
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8192, _flick_abort42);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8192);
  flick_fluke_check_span(8192, _flick_abort45);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
  return 0;
  {
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16384, _flick_abort48);
  flick_fluke_encode_new_chunk(16384);
  flick_fluke_encode_bcopy(0, *_data, 16384);
  flick_fluke_encode_end_chunk(16384);
  flick_fluke_encode_end_glob(16384);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16384);
  flick_fluke_check_span(16384, _flick_abort51);
  flick_fluke_decode_new_chunk(16384);
  flick_fluke_decode_bcopy(0, *_data, 16384);
  flick_fluke_decode_end_chunk(16384);
  flick_fluke_decode_end_glob(16384);
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(32768, _flick_abort54);
  flick_fluke_encode_new_chunk(32768);
  flick_fluke_encode_bcopy(0, *_data, 32768);
  flick_fluke_encode_end_chunk(32768);
  flick_fluke_encode_end_glob(32768);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(32768);
  flick_fluke_check_span(32768, _flick_abort57);
  flick_fluke_decode_new_chunk(32768);
  flick_fluke_decode_bcopy(0, *_data, 32768);
  flick_fluke_decode_end_chunk(32768);
  flick_fluke_decode_end_glob(32768);
  return 0;
  {
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(65536, _flick_abort60);
  flick_fluke_encode_new_chunk(65536);
  flick_fluke_encode_bcopy(0, *_data, 65536);
  flick_fluke_encode_end_chunk(65536);
  flick_fluke_encode_end_glob(65536);
  return 0;
  {
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(65536);
  flick_fluke_check_span(65536, _flick_abort63);
  flick_fluke_decode_new_chunk(65536);
  flick_fluke_decode_bcopy(0, *_data, 65536);
  flick_fluke_decode_end_chunk(65536);
  flick_fluke_decode_end_glob(65536);
  return 0;
  {
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t prog_1234(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t1_switch_tag;

    flick_fluke_decode_new_glob(4100);
    flick_fluke_check_span(68, _flick_abort68);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t1_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(64);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(64);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort192);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort200);
                    break;
                    {
                    _flick_abort200:
                      goto _flick_abort192;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort201);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort201:
                      goto _flick_abort192;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort192:
              goto _flick_abort191;
            }
          }
          break;
          {
          _flick_abort191:
            goto _flick_abort68;
          }
        }
      case (signed int) 2:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(128, _flick_abort203);
            flick_fluke_decode_new_chunk(128);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(128);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op128_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort203);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort211);
                    break;
                    {
                    _flick_abort211:
                      goto _flick_abort203;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort212);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort212:
                      goto _flick_abort203;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort203:
              goto _flick_abort202;
            }
          }
          break;
          {
          _flick_abort202:
            goto _flick_abort68;
          }
        }
      case (signed int) 3:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(256, _flick_abort214);
            flick_fluke_decode_new_chunk(256);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(256);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op256_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort214);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort222);
                    break;
                    {
                    _flick_abort222:
                      goto _flick_abort214;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort223);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort223:
                      goto _flick_abort214;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort214:
              goto _flick_abort213;
            }
          }
          break;
          {
          _flick_abort213:
            goto _flick_abort68;
          }
        }
      case (signed int) 4:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(512, _flick_abort225);
            flick_fluke_decode_new_chunk(512);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(512);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op512_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort225);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort233);
                    break;
                    {
                    _flick_abort233:
                      goto _flick_abort225;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort234);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort234:
                      goto _flick_abort225;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort225:
              goto _flick_abort224;
            }
          }
          break;
          {
          _flick_abort224:
            goto _flick_abort68;
          }
        }
      case (signed int) 5:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(1024, _flick_abort236);
            flick_fluke_decode_new_chunk(1024);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(1024);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op1k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort236);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort244);
                    break;
                    {
                    _flick_abort244:
                      goto _flick_abort236;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort245);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort245:
                      goto _flick_abort236;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort236:
              goto _flick_abort235;
            }
          }
          break;
          {
          _flick_abort235:
            goto _flick_abort68;
          }
        }
      case (signed int) 6:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(2048, _flick_abort247);
            flick_fluke_decode_new_chunk(2048);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(2048);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op2k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort247);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort255);
                    break;
                    {
                    _flick_abort255:
                      goto _flick_abort247;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort256:
                      goto _flick_abort247;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort247:
              goto _flick_abort246;
            }
          }
          break;
          {
          _flick_abort246:
            goto _flick_abort68;
          }
        }
      case (signed int) 7:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(4096, _flick_abort258);
            flick_fluke_decode_new_chunk(4096);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(4096);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op4k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort258);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort266);
                    break;
                    {
                    _flick_abort266:
                      goto _flick_abort258;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort267);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort258;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort258:
              goto _flick_abort257;
            }
          }
          break;
          {
          _flick_abort257:
            goto _flick_abort68;
          }
        }
      case (signed int) 8:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_check_span(8192, _flick_abort269);
            flick_fluke_decode_new_chunk(8192);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op8k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort269);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort277);
                    break;
                    {
                    _flick_abort277:
                      goto _flick_abort269;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort278);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort278:
                      goto _flick_abort269;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort269:
              goto _flick_abort268;
            }
          }
          break;
          {
          _flick_abort268:
            goto _flick_abort68;
          }
        }
      case (signed int) 9:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(16384);
            flick_fluke_check_span(16384, _flick_abort280);
            flick_fluke_decode_new_chunk(16384);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(16384);
            flick_fluke_decode_end_glob(16384);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op16k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort280);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort288);
                    break;
                    {
                    _flick_abort288:
                      goto _flick_abort280;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort289:
                      goto _flick_abort280;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort280:
              goto _flick_abort279;
            }
          }
          break;
          {
          _flick_abort279:
            goto _flick_abort68;
          }
        }
      case (signed int) 10:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(32768);
            flick_fluke_check_span(32768, _flick_abort291);
            flick_fluke_decode_new_chunk(32768);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(32768);
            flick_fluke_decode_end_glob(32768);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op32k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort291);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort299);
                    break;
                    {
                    _flick_abort299:
                      goto _flick_abort291;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort300);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort300:
                      goto _flick_abort291;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort291:
              goto _flick_abort290;
            }
          }
          break;
          {
          _flick_abort290:
            goto _flick_abort68;
          }
        }
      case (signed int) 11:
        {
          {
            int *_return;
            int *_local_arg;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(65536);
            flick_fluke_check_span(65536, _flick_abort302);
            flick_fluke_decode_new_chunk(65536);
            flick_fluke_decode_msgptr(0, _local_arg, int *);
            flick_fluke_decode_end_chunk(65536);
            flick_fluke_decode_end_glob(65536);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort302);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort310);
                    break;
                    {
                    _flick_abort310:
                      goto _flick_abort302;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort311);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort311:
                      goto _flick_abort302;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort302:
              goto _flick_abort301;
            }
          }
          break;
          {
          _flick_abort301:
            goto _flick_abort68;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort68);
          flick_fluke_decode_end_glob(4100);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort68:
    flick_sun_server_error(fluke, fluke, _flick_reaper, _flick_abort67);
  _flick_abort67:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

