#include "parm_-server.h"

int flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data, unsigned long int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort1);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data, unsigned long int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, FStruct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, FStruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort3);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, VStruct *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_fluke_stringlen(char *, _data->a, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _t0_temp_string_len, _flick_abort4);
  flick_fluke_encode_new_chunk(1 * _t0_temp_string_len);
  flick_fluke_encode_bcopy(0, _data->a, 1 * _t0_temp_string_len);
  mom_flick_free(_data->a);
  flick_fluke_encode_end_chunk(1 * _t0_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t0_temp_string_len);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, VStruct *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort7);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _t1_temp_string_len);
  flick_fluke_check_span(1 * _t1_temp_string_len * 1, _flick_abort7);
  flick_fluke_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t1_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->a = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->a, 1 * _t1_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t1_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t1_temp_string_len);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, FUnion *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort11);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x, oskit_s32_t );
        flick_fluke_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z, char );
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, FUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(5, _flick_abort17);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_check_span(4, _flick_abort21);
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x, oskit_s32_t );
        flick_fluke_decode_end_chunk(4);
        break;
        {
        _flick_abort21:
          goto _flick_abort17;
        }
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z, char );
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, VUnion *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort23);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_fluke_stringlen(char *, _data->_u.a, flick_unsigned32_t , _t3_temp_string_len);

        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_fluke_encode_end_chunk(4);
        flick_fluke_encode_end_glob(8);
        flick_fluke_encode_new_glob(1 * _t3_temp_string_len, _flick_abort29);
        flick_fluke_encode_new_chunk(1 * _t3_temp_string_len);
        flick_fluke_encode_bcopy(0, _data->_u.a, 1 * _t3_temp_string_len);
        mom_flick_free(_data->_u.a);
        flick_fluke_encode_end_chunk(1 * _t3_temp_string_len);
        flick_fluke_encode_end_glob(1 * _t3_temp_string_len);
        break;
        {
        _flick_abort29:
          goto _flick_abort23;
        }
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z, char );
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, VUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(5, _flick_abort33);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t5_temp_string_len;

        flick_fluke_check_span(4, _flick_abort41);
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_end_glob(8);
        flick_fluke_decode_new_glob(1 * _t5_temp_string_len);
        flick_fluke_check_span(1 * _t5_temp_string_len * 1, _flick_abort41);
        flick_fluke_decode_new_chunk(1 * _t5_temp_string_len);
        {
          char *_t_alloc_ptr;

          _t_alloc_ptr = (char *)(mom_flick_alloc(_t5_temp_string_len * sizeof(char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_fluke_decode_bcopy(0, _data->_u.a, 1 * _t5_temp_string_len);
        flick_fluke_decode_end_chunk(1 * _t5_temp_string_len);
        flick_fluke_decode_end_glob(1 * _t5_temp_string_len);
        break;
        {
        _flick_abort41:
          goto _flick_abort33;
        }
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z, char );
        flick_fluke_decode_end_chunk(1);
        flick_fluke_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

int flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(40, _flick_abort49);
  flick_fluke_encode_new_chunk(40);
  flick_fluke_encode_bcopy(0, *_data, 40);
  flick_fluke_encode_end_chunk(40);
  flick_fluke_encode_end_glob(40);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(40);
  flick_fluke_check_span(40, _flick_abort52);
  flick_fluke_decode_new_chunk(40);
  flick_fluke_decode_bcopy(0, *_data, 40);
  flick_fluke_decode_end_chunk(40);
  flick_fluke_decode_end_glob(40);
  return 0;
  {
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort55);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort55);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    mom_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort55:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort58);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort58);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort58);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort58);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t103_switch_tag;

    flick_fluke_decode_new_glob(92);
    flick_fluke_check_span(6, _flick_abort64);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t103_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t103_switch_tag)
      {
      case req_test_Short:
        {
          {
            oskit_s16_t _return;
            oskit_s16_t _local_a;
            oskit_s16_t *_local_b;
            oskit_s16_t _t104_storage;
            oskit_s16_t *_local_c;
            oskit_s16_t _t105_storage;
            mom_exc_t *_ev;
            mom_exc_t _t106_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(4, _flick_abort421);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a, oskit_s16_t );
            _local_b = (oskit_s16_t *)(&_t104_storage);
            flick_fluke_decode_signed16(2, *_local_b, oskit_s16_t );
            _local_c = (oskit_s16_t *)(&_t105_storage);
            _ev = (mom_exc_t *)(&_t106_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Short(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(10, _flick_abort421);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(6);
                    flick_fluke_encode_signed16(0, _return, oskit_s16_t );
                    flick_fluke_encode_signed16(2, *_local_b, oskit_s16_t );
                    flick_fluke_encode_signed16(4, *_local_c, oskit_s16_t );
                    flick_fluke_encode_end_chunk(6);
                    flick_fluke_encode_end_glob(10);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(10);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort427);
                    break;
                    {
                    _flick_abort427:
                      goto _flick_abort421;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort428);
                    flick_fluke_encode_end_glob(10);
                    break;
                    {
                    _flick_abort428:
                      goto _flick_abort421;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort421:
              goto _flick_abort420;
            }
          }
          break;
          {
          _flick_abort420:
            goto _flick_abort64;
          }
        }
      case req_test_Long:
        {
          {
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            oskit_s32_t *_local_b;
            oskit_s32_t _t107_storage;
            oskit_s32_t *_local_c;
            oskit_s32_t _t108_storage;
            mom_exc_t *_ev;
            mom_exc_t _t109_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(8, _flick_abort430);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            _local_b = (oskit_s32_t *)(&_t107_storage);
            flick_fluke_decode_signed32(4, *_local_b, oskit_s32_t );
            _local_c = (oskit_s32_t *)(&_t108_storage);
            _ev = (mom_exc_t *)(&_t109_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Long(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort430);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_signed32(4, *_local_b, oskit_s32_t );
                    flick_fluke_encode_signed32(8, *_local_c, oskit_s32_t );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort436);
                    break;
                    {
                    _flick_abort436:
                      goto _flick_abort430;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort437);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort437:
                      goto _flick_abort430;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort430:
              goto _flick_abort429;
            }
          }
          break;
          {
          _flick_abort429:
            goto _flick_abort64;
          }
        }
      case req_test_UShort:
        {
          {
            oskit_u16_t _return;
            oskit_u16_t _local_a;
            oskit_u16_t *_local_b;
            oskit_u16_t _t110_storage;
            oskit_u16_t *_local_c;
            oskit_u16_t _t111_storage;
            mom_exc_t *_ev;
            mom_exc_t _t112_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(4, _flick_abort439);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned16(0, _local_a, oskit_u16_t );
            _local_b = (oskit_u16_t *)(&_t110_storage);
            flick_fluke_decode_unsigned16(2, *_local_b, oskit_u16_t );
            _local_c = (oskit_u16_t *)(&_t111_storage);
            _ev = (mom_exc_t *)(&_t112_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(10, _flick_abort439);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(6);
                    flick_fluke_encode_unsigned16(0, _return, oskit_u16_t );
                    flick_fluke_encode_unsigned16(2, *_local_b, oskit_u16_t );
                    flick_fluke_encode_unsigned16(4, *_local_c, oskit_u16_t );
                    flick_fluke_encode_end_chunk(6);
                    flick_fluke_encode_end_glob(10);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(10);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort445);
                    break;
                    {
                    _flick_abort445:
                      goto _flick_abort439;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort446);
                    flick_fluke_encode_end_glob(10);
                    break;
                    {
                    _flick_abort446:
                      goto _flick_abort439;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort439:
              goto _flick_abort438;
            }
          }
          break;
          {
          _flick_abort438:
            goto _flick_abort64;
          }
        }
      case req_test_ULong:
        {
          {
            oskit_u32_t _return;
            oskit_u32_t _local_a;
            oskit_u32_t *_local_b;
            oskit_u32_t _t113_storage;
            oskit_u32_t *_local_c;
            oskit_u32_t _t114_storage;
            mom_exc_t *_ev;
            mom_exc_t _t115_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(8, _flick_abort448);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a, oskit_u32_t );
            _local_b = (oskit_u32_t *)(&_t113_storage);
            flick_fluke_decode_unsigned32(4, *_local_b, oskit_u32_t );
            _local_c = (oskit_u32_t *)(&_t114_storage);
            _ev = (mom_exc_t *)(&_t115_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort448);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_unsigned32(0, _return, oskit_u32_t );
                    flick_fluke_encode_unsigned32(4, *_local_b, oskit_u32_t );
                    flick_fluke_encode_unsigned32(8, *_local_c, oskit_u32_t );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort454);
                    break;
                    {
                    _flick_abort454:
                      goto _flick_abort448;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort455);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort455:
                      goto _flick_abort448;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort448:
              goto _flick_abort447;
            }
          }
          break;
          {
          _flick_abort447:
            goto _flick_abort64;
          }
        }
      case req_test_Float:
        {
          {
            float _return;
            float _local_a;
            float *_local_b;
            float _t116_storage;
            float *_local_c;
            float _t117_storage;
            mom_exc_t *_ev;
            mom_exc_t _t118_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_fluke_check_span(8, _flick_abort457);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_float32(0, _local_a, float );
            _local_b = (float *)(&_t116_storage);
            flick_fluke_decode_float32(4, *_local_b, float );
            _local_c = (float *)(&_t117_storage);
            _ev = (mom_exc_t *)(&_t118_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Float(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort457);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_float32(0, _return, float );
                    flick_fluke_encode_float32(4, *_local_b, float );
                    flick_fluke_encode_float32(8, *_local_c, float );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort463);
                    break;
                    {
                    _flick_abort463:
                      goto _flick_abort457;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort464);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort464:
                      goto _flick_abort457;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort457:
              goto _flick_abort456;
            }
          }
          break;
          {
          _flick_abort456:
            goto _flick_abort64;
          }
        }
      case req_test_Boolean:
        {
          {
            oskit_bool_t _return;
            oskit_bool_t _local_a;
            oskit_bool_t *_local_b;
            oskit_bool_t _t119_storage;
            oskit_bool_t *_local_c;
            oskit_bool_t _t120_storage;
            mom_exc_t *_ev;
            mom_exc_t _t121_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a, oskit_bool_t );
            _local_b = (oskit_bool_t *)(&_t119_storage);
            flick_fluke_decode_unsigned8(1, *_local_b, oskit_bool_t );
            _local_c = (oskit_bool_t *)(&_t120_storage);
            _ev = (mom_exc_t *)(&_t121_storage);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(7, _flick_abort466);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(3);
                    flick_fluke_encode_unsigned8(0, _return, oskit_bool_t );
                    flick_fluke_encode_unsigned8(1, *_local_b, oskit_bool_t );
                    flick_fluke_encode_unsigned8(2, *_local_c, oskit_bool_t );
                    flick_fluke_encode_end_chunk(3);
                    flick_fluke_encode_end_glob(7);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(7);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort472);
                    break;
                    {
                    _flick_abort472:
                      goto _flick_abort466;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort473);
                    flick_fluke_encode_end_glob(7);
                    break;
                    {
                    _flick_abort473:
                      goto _flick_abort466;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort466:
              goto _flick_abort465;
            }
          }
          break;
          {
          _flick_abort465:
            goto _flick_abort64;
          }
        }
      case req_test_Char:
        {
          {
            char _return;
            char _local_a;
            char *_local_b;
            char _t122_storage;
            char *_local_c;
            char _t123_storage;
            mom_exc_t *_ev;
            mom_exc_t _t124_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_char8(0, _local_a, char );
            _local_b = (char *)(&_t122_storage);
            flick_fluke_decode_char8(1, *_local_b, char );
            _local_c = (char *)(&_t123_storage);
            _ev = (mom_exc_t *)(&_t124_storage);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Char(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(7, _flick_abort475);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(3);
                    flick_fluke_encode_char8(0, _return, char );
                    flick_fluke_encode_char8(1, *_local_b, char );
                    flick_fluke_encode_char8(2, *_local_c, char );
                    flick_fluke_encode_end_chunk(3);
                    flick_fluke_encode_end_glob(7);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(7);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort481);
                    break;
                    {
                    _flick_abort481:
                      goto _flick_abort475;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort482);
                    flick_fluke_encode_end_glob(7);
                    break;
                    {
                    _flick_abort482:
                      goto _flick_abort475;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort475:
              goto _flick_abort474;
            }
          }
          break;
          {
          _flick_abort474:
            goto _flick_abort64;
          }
        }
      case req_test_Octet:
        {
          {
            oskit_u8_t _return;
            oskit_u8_t _local_a;
            oskit_u8_t *_local_b;
            oskit_u8_t _t125_storage;
            oskit_u8_t *_local_c;
            oskit_u8_t _t126_storage;
            mom_exc_t *_ev;
            mom_exc_t _t127_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned8(0, _local_a, oskit_u8_t );
            _local_b = (oskit_u8_t *)(&_t125_storage);
            flick_fluke_decode_unsigned8(1, *_local_b, oskit_u8_t );
            _local_c = (oskit_u8_t *)(&_t126_storage);
            _ev = (mom_exc_t *)(&_t127_storage);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(7, _flick_abort484);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(3);
                    flick_fluke_encode_unsigned8(0, _return, oskit_u8_t );
                    flick_fluke_encode_unsigned8(1, *_local_b, oskit_u8_t );
                    flick_fluke_encode_unsigned8(2, *_local_c, oskit_u8_t );
                    flick_fluke_encode_end_chunk(3);
                    flick_fluke_encode_end_glob(7);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(7);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort490);
                    break;
                    {
                    _flick_abort490:
                      goto _flick_abort484;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort491);
                    flick_fluke_encode_end_glob(7);
                    break;
                    {
                    _flick_abort491:
                      goto _flick_abort484;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort484:
              goto _flick_abort483;
            }
          }
          break;
          {
          _flick_abort483:
            goto _flick_abort64;
          }
        }
      case req_test_Enum:
        {
          {
            Enumeration _return;
            Enumeration _local_a;
            Enumeration *_local_b;
            Enumeration _t128_storage;
            Enumeration *_local_c;
            Enumeration _t129_storage;
            mom_exc_t *_ev;
            mom_exc_t _t130_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(8, _flick_abort493);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_a, unsigned long int );
            _local_b = (Enumeration *)(&_t128_storage);
            flick_fluke_decode_unsigned32(4, *_local_b, unsigned long int );
            _local_c = (Enumeration *)(&_t129_storage);
            _ev = (mom_exc_t *)(&_t130_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort493);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_unsigned32(0, _return, unsigned long int );
                    flick_fluke_encode_unsigned32(4, *_local_b, unsigned long int );
                    flick_fluke_encode_unsigned32(8, *_local_c, unsigned long int );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort499);
                    break;
                    {
                    _flick_abort499:
                      goto _flick_abort493;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort500);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort500:
                      goto _flick_abort493;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort493:
              goto _flick_abort492;
            }
          }
          break;
          {
          _flick_abort492:
            goto _flick_abort64;
          }
        }
      case req_test_FixedStruct:
        {
          {
            FStruct _return;
            FStruct *_local_a;
            FStruct _t131_storage;
            FStruct *_local_b;
            FStruct _t132_storage;
            FStruct *_local_c;
            FStruct _t133_storage;
            mom_exc_t *_ev;
            mom_exc_t _t134_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = (FStruct *)(&_t131_storage);
            flick_fluke_check_span(4, _flick_abort502);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a->a, oskit_s16_t );
            _local_b = (FStruct *)(&_t132_storage);
            flick_fluke_decode_signed16(2, _local_b->a, oskit_s16_t );
            _local_c = (FStruct *)(&_t133_storage);
            _ev = (mom_exc_t *)(&_t134_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(10, _flick_abort502);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(6);
                    flick_fluke_encode_signed16(0, _return.a, oskit_s16_t );
                    flick_fluke_encode_signed16(2, _local_b->a, oskit_s16_t );
                    flick_fluke_encode_signed16(4, _local_c->a, oskit_s16_t );
                    flick_fluke_encode_end_chunk(6);
                    flick_fluke_encode_end_glob(10);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(10);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort508);
                    break;
                    {
                    _flick_abort508:
                      goto _flick_abort502;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort509);
                    flick_fluke_encode_end_glob(10);
                    break;
                    {
                    _flick_abort509:
                      goto _flick_abort502;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort502:
              goto _flick_abort501;
            }
          }
          break;
          {
          _flick_abort501:
            goto _flick_abort64;
          }
        }
      case req_test_VarStruct:
        {
          {
            VStruct *_return;
            VStruct *_local_a;
            VStruct _t135_storage;
            flick_unsigned32_t _t136_temp_string_len;
            VStruct *_local_b;
            VStruct _t137_storage;
            flick_unsigned32_t _t138_temp_string_len;
            VStruct **_local_c;
            VStruct *_t139_storage;
            mom_exc_t *_ev;
            mom_exc_t _t140_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (VStruct *)(&_t135_storage);
            flick_fluke_check_span(4, _flick_abort511);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t136_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_new_glob(1 * _t136_temp_string_len);
            flick_fluke_check_span(1 * _t136_temp_string_len * 1, _flick_abort511);
            flick_fluke_decode_new_chunk(1 * _t136_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a->a, char *);
            flick_fluke_decode_end_chunk(1 * _t136_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t136_temp_string_len);
            _local_b = (VStruct *)(&_t137_storage);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort511);
            flick_fluke_decode_unsigned32(0, _t138_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t138_temp_string_len);
            flick_fluke_check_span(1 * _t138_temp_string_len * 1, _flick_abort511);
            flick_fluke_decode_new_chunk(1 * _t138_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t138_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort511);
              _local_b->a = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _local_b->a, 1 * _t138_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t138_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t138_temp_string_len);
            _local_c = (VStruct **)(&_t139_storage);
            _ev = (mom_exc_t *)(&_t140_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort516);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t144_temp_string_len;
                    flick_unsigned32_t _t145_temp_string_len;
                    flick_unsigned32_t _t146_temp_string_len;

                    flick_fluke_stringlen(char *, _return->a, flick_unsigned32_t , _t144_temp_string_len);
                    flick_fluke_stringlen(char *, _local_b->a, flick_unsigned32_t , _t145_temp_string_len);
                    flick_fluke_stringlen(char *, (*_local_c)->a, flick_unsigned32_t , _t146_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_unsigned32(0, _t144_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    flick_fluke_encode_new_glob(1 * _t144_temp_string_len, _flick_abort527);
                    flick_fluke_encode_new_chunk(1 * _t144_temp_string_len);
                    flick_fluke_encode_bcopy(0, _return->a, 1 * _t144_temp_string_len);
                    mom_flick_free(_return->a);
                    _return->a = 0;
                    flick_fluke_encode_end_chunk(1 * _t144_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t144_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_new_glob(7, _flick_abort527);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t145_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t145_temp_string_len, _flick_abort527);
                    flick_fluke_encode_new_chunk(1 * _t145_temp_string_len);
                    flick_fluke_encode_bcopy(0, _local_b->a, 1 * _t145_temp_string_len);
                    mom_flick_free(_local_b->a);
                    _local_b->a = 0;
                    flick_fluke_encode_end_chunk(1 * _t145_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t145_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort527);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t146_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t146_temp_string_len, _flick_abort527);
                    flick_fluke_encode_new_chunk(1 * _t146_temp_string_len);
                    flick_fluke_encode_bcopy(0, (*_local_c)->a, 1 * _t146_temp_string_len);
                    mom_flick_free((*_local_c)->a);
                    (*_local_c)->a = 0;
                    flick_fluke_encode_end_chunk(1 * _t146_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t146_temp_string_len);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    break;
                    {
                    _flick_abort527:
                      goto _flick_abort516;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort534);
                    break;
                    {
                    _flick_abort534:
                      goto _flick_abort516;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort535);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort535:
                      goto _flick_abort516;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort516:
              mom_flick_free(_local_b->a);
            _flick_abort511:
              goto _flick_abort510;
            }
          }
          break;
          {
          _flick_abort510:
            goto _flick_abort64;
          }
        }
      case req_test_FixedUnion:
        {
          {
            FUnion _return;
            FUnion *_local_a;
            FUnion _t147_storage;
            FUnion *_local_b;
            FUnion _t148_storage;
            FUnion *_local_c;
            FUnion _t149_storage;
            mom_exc_t *_ev;
            mom_exc_t _t150_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = (FUnion *)(&_t147_storage);
            flick_fluke_check_span(5, _flick_abort537);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_fluke_check_span(4, _flick_abort541);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_a->_u.x, oskit_s32_t );
                  flick_fluke_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort541:
                    goto _flick_abort537;
                  }
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z, char );
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = (FUnion *)(&_t148_storage);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort537);
            flick_fluke_decode_signed32(0, _local_b->_d, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_fluke_check_span(4, _flick_abort546);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_b->_u.x, oskit_s32_t );
                  flick_fluke_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort546:
                    goto _flick_abort537;
                  }
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->_u.z, char );
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = (FUnion *)(&_t149_storage);
            _ev = (mom_exc_t *)(&_t150_storage);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(34, _flick_abort537);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return._d, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    switch (_return._d)
                      {
                      case 1:
                        {
                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_signed32(0, _return._u.x, oskit_s32_t );
                          flick_fluke_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_fluke_encode_new_chunk(1);
                          flick_fluke_encode_char8(0, _return._u.z, char );
                          flick_fluke_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_signed32(0, _local_b->_d, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    switch (_local_b->_d)
                      {
                      case 1:
                        {
                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_signed32(0, _local_b->_u.x, oskit_s32_t );
                          flick_fluke_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_fluke_encode_new_chunk(1);
                          flick_fluke_encode_char8(0, _local_b->_u.z, char );
                          flick_fluke_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_signed32(0, _local_c->_d, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    switch (_local_c->_d)
                      {
                      case 1:
                        {
                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_signed32(0, _local_c->_u.x, oskit_s32_t );
                          flick_fluke_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_fluke_encode_new_chunk(1);
                          flick_fluke_encode_char8(0, _local_c->_u.z, char );
                          flick_fluke_encode_end_chunk(1);
                          break;
                        }
                      }
                    flick_fluke_encode_end_glob(34);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(34);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort583);
                    break;
                    {
                    _flick_abort583:
                      goto _flick_abort537;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort584);
                    flick_fluke_encode_end_glob(34);
                    break;
                    {
                    _flick_abort584:
                      goto _flick_abort537;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort537:
              goto _flick_abort536;
            }
          }
          break;
          {
          _flick_abort536:
            goto _flick_abort64;
          }
        }
      case req_test_VarUnion:
        {
          {
            VUnion *_return;
            VUnion *_local_a;
            VUnion _t151_storage;
            VUnion *_local_b;
            VUnion _t154_storage;
            VUnion **_local_c;
            VUnion *_t157_storage;
            mom_exc_t *_ev;
            mom_exc_t _t158_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (VUnion *)(&_t151_storage);
            flick_fluke_check_span(5, _flick_abort586);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a->_d, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t153_temp_string_len;

                  flick_fluke_check_span(4, _flick_abort592);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _t153_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_decode_end_glob(92);
                  flick_fluke_decode_new_glob(1 * _t153_temp_string_len);
                  flick_fluke_check_span(1 * _t153_temp_string_len * 1, _flick_abort592);
                  flick_fluke_decode_new_chunk(1 * _t153_temp_string_len);
                  flick_fluke_decode_msgptr(0, _local_a->_u.a, char *);
                  flick_fluke_decode_end_chunk(1 * _t153_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t153_temp_string_len);
                  break;
                  {
                  _flick_abort592:
                    goto _flick_abort586;
                  }
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_a->_u.z, char );
                  flick_fluke_decode_end_chunk(1);
                  flick_fluke_decode_end_glob(92);
                  break;
                }
              }
            _local_b = (VUnion *)(&_t154_storage);
            flick_fluke_decode_new_glob(11);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort586);
            flick_fluke_decode_signed32(0, _local_b->_d, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_unsigned32_t _t156_temp_string_len;

                  flick_fluke_check_span(4, _flick_abort603);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_decode_end_glob(11);
                  flick_fluke_decode_new_glob(1 * _t156_temp_string_len);
                  flick_fluke_check_span(1 * _t156_temp_string_len * 1, _flick_abort603);
                  flick_fluke_decode_new_chunk(1 * _t156_temp_string_len);
                  {
                    char *_t_alloc_ptr;

                    _t_alloc_ptr = (char *)(mom_flick_alloc(_t156_temp_string_len * sizeof(char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort603);
                    _local_b->_u.a = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, _local_b->_u.a, 1 * _t156_temp_string_len);
                  flick_fluke_decode_end_chunk(1 * _t156_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t156_temp_string_len);
                  break;
                _flick_abort_block779:
                  {
                    mom_flick_free(_local_b->_u.a);
                  _flick_abort603:
                    goto _flick_abort586;
                  }
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_b->_u.z, char );
                  flick_fluke_decode_end_chunk(1);
                  flick_fluke_decode_end_glob(11);
                  break;
                }
              _flick_abort_block778:
                {
                  switch (_local_b->_d)
                    {
                    case 1:
                      goto _flick_abort_block779;
                    default:
                      break;
                    }
                }
              }
            _local_c = (VUnion **)(&_t157_storage);
            _ev = (mom_exc_t *)(&_t158_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(12, _flick_abort608);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return->_d, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    switch (_return->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t166_temp_string_len;

                          flick_fluke_stringlen(char *, _return->_u.a, flick_unsigned32_t , _t166_temp_string_len);

                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                          flick_fluke_encode_end_chunk(4);
                          flick_fluke_encode_end_glob(12);
                          flick_fluke_encode_new_glob(1 * _t166_temp_string_len, _flick_abort646);
                          flick_fluke_encode_new_chunk(1 * _t166_temp_string_len);
                          flick_fluke_encode_bcopy(0, _return->_u.a, 1 * _t166_temp_string_len);
                          mom_flick_free(_return->_u.a);
                          _return->_u.a = 0;
                          flick_fluke_encode_end_chunk(1 * _t166_temp_string_len);
                          flick_fluke_encode_end_glob(1 * _t166_temp_string_len);
                          break;
                          {
                          _flick_abort646:
                            goto _flick_abort640;
                          }
                        }
                      default:
                        {
                          flick_fluke_encode_new_chunk(1);
                          flick_fluke_encode_char8(0, _return->_u.z, char );
                          flick_fluke_encode_end_chunk(1);
                          flick_fluke_encode_end_glob(12);
                          break;
                        }
                      }
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_new_glob(11, _flick_abort640);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_signed32(0, _local_b->_d, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    switch (_local_b->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t168_temp_string_len;

                          flick_fluke_stringlen(char *, _local_b->_u.a, flick_unsigned32_t , _t168_temp_string_len);

                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_unsigned32(0, _t168_temp_string_len, flick_unsigned32_t );
                          flick_fluke_encode_end_chunk(4);
                          flick_fluke_encode_end_glob(11);
                          flick_fluke_encode_new_glob(1 * _t168_temp_string_len, _flick_abort655);
                          flick_fluke_encode_new_chunk(1 * _t168_temp_string_len);
                          flick_fluke_encode_bcopy(0, _local_b->_u.a, 1 * _t168_temp_string_len);
                          mom_flick_free(_local_b->_u.a);
                          _local_b->_u.a = 0;
                          flick_fluke_encode_end_chunk(1 * _t168_temp_string_len);
                          flick_fluke_encode_end_glob(1 * _t168_temp_string_len);
                          break;
                          {
                          _flick_abort655:
                            goto _flick_abort640;
                          }
                        }
                      default:
                        {
                          flick_fluke_encode_new_chunk(1);
                          flick_fluke_encode_char8(0, _local_b->_u.z, char );
                          flick_fluke_encode_end_chunk(1);
                          flick_fluke_encode_end_glob(11);
                          break;
                        }
                      }
                    flick_fluke_encode_new_glob(11, _flick_abort640);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_signed32(0, (*_local_c)->_d, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    switch ((*_local_c)->_d)
                      {
                      case 1:
                        {
                          flick_unsigned32_t _t170_temp_string_len;

                          flick_fluke_stringlen(char *, (*_local_c)->_u.a, flick_unsigned32_t , _t170_temp_string_len);

                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_unsigned32(0, _t170_temp_string_len, flick_unsigned32_t );
                          flick_fluke_encode_end_chunk(4);
                          flick_fluke_encode_end_glob(11);
                          flick_fluke_encode_new_glob(1 * _t170_temp_string_len, _flick_abort664);
                          flick_fluke_encode_new_chunk(1 * _t170_temp_string_len);
                          flick_fluke_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t170_temp_string_len);
                          mom_flick_free((*_local_c)->_u.a);
                          (*_local_c)->_u.a = 0;
                          flick_fluke_encode_end_chunk(1 * _t170_temp_string_len);
                          flick_fluke_encode_end_glob(1 * _t170_temp_string_len);
                          break;
                          {
                          _flick_abort664:
                            goto _flick_abort640;
                          }
                        }
                      default:
                        {
                          flick_fluke_encode_new_chunk(1);
                          flick_fluke_encode_char8(0, (*_local_c)->_u.z, char );
                          flick_fluke_encode_end_chunk(1);
                          flick_fluke_encode_end_glob(11);
                          break;
                        }
                      }
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    break;
                    {
                    _flick_abort640:
                      goto _flick_abort608;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(12);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort668);
                    break;
                    {
                    _flick_abort668:
                      goto _flick_abort608;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort669);
                    flick_fluke_encode_end_glob(12);
                    break;
                    {
                    _flick_abort669:
                      goto _flick_abort608;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort608:
              goto _flick_abort_block778;
            _flick_abort586:
              goto _flick_abort585;
            }
          }
          break;
          {
          _flick_abort585:
            goto _flick_abort64;
          }
        }
      case req_test_String:
        {
          {
            char *_return;
            char *_local_a;
            flick_unsigned32_t _t171_temp_string_len;
            char **_local_b;
            char *_t172_storage;
            flick_unsigned32_t _t173_temp_string_len;
            char **_local_c;
            char *_t174_storage;
            mom_exc_t *_ev;
            mom_exc_t _t175_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(4, _flick_abort671);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t171_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(92);
            flick_fluke_decode_new_glob(1 * _t171_temp_string_len);
            flick_fluke_check_span(1 * _t171_temp_string_len * 1, _flick_abort671);
            flick_fluke_decode_new_chunk(1 * _t171_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a, char *);
            flick_fluke_decode_end_chunk(1 * _t171_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t171_temp_string_len);
            _local_b = (char **)(&_t172_storage);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort671);
            flick_fluke_decode_unsigned32(0, _t173_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t173_temp_string_len);
            flick_fluke_check_span(1 * _t173_temp_string_len * 1, _flick_abort671);
            flick_fluke_decode_new_chunk(1 * _t173_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t173_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort671);
              *_local_b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *_local_b, 1 * _t173_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t173_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t173_temp_string_len);
            _local_c = (char **)(&_t174_storage);
            _ev = (mom_exc_t *)(&_t175_storage);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_String(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort676);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t179_temp_string_len;
                    flick_unsigned32_t _t180_temp_string_len;
                    flick_unsigned32_t _t181_temp_string_len;

                    flick_fluke_stringlen(char *, _return, flick_unsigned32_t , _t179_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_b, flick_unsigned32_t , _t180_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_c, flick_unsigned32_t , _t181_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_unsigned32(0, _t179_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    flick_fluke_encode_new_glob(1 * _t179_temp_string_len, _flick_abort687);
                    flick_fluke_encode_new_chunk(1 * _t179_temp_string_len);
                    flick_fluke_encode_bcopy(0, _return, 1 * _t179_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_chunk(1 * _t179_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t179_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort687);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t180_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t180_temp_string_len, _flick_abort687);
                    flick_fluke_encode_new_chunk(1 * _t180_temp_string_len);
                    flick_fluke_encode_bcopy(0, *_local_b, 1 * _t180_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_chunk(1 * _t180_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t180_temp_string_len);
                    flick_fluke_encode_new_glob(7, _flick_abort687);
                    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t181_temp_string_len, flick_unsigned32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(7);
                    flick_fluke_encode_new_glob(1 * _t181_temp_string_len, _flick_abort687);
                    flick_fluke_encode_new_chunk(1 * _t181_temp_string_len);
                    flick_fluke_encode_bcopy(0, *_local_c, 1 * _t181_temp_string_len);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_chunk(1 * _t181_temp_string_len);
                    flick_fluke_encode_end_glob(1 * _t181_temp_string_len);
                    break;
                    {
                    _flick_abort687:
                      goto _flick_abort676;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort694);
                    break;
                    {
                    _flick_abort694:
                      goto _flick_abort676;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort695);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort695:
                      goto _flick_abort676;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort676:
              mom_flick_free(*_local_b);
            _flick_abort671:
              goto _flick_abort670;
            }
          }
          break;
          {
          _flick_abort670:
            goto _flick_abort64;
          }
        }
      case req_test_BoundString:
        {
          {
            char *_return;
            char *_local_a;
            flick_unsigned32_t _t182_temp_string_len;
            char **_local_b;
            char *_t183_storage;
            flick_unsigned32_t _t184_temp_string_len;
            char **_local_c;
            char *_t185_storage;
            mom_exc_t *_ev;
            mom_exc_t _t186_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(4, _flick_abort697);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t182_temp_string_len, flick_unsigned32_t );
            if (_t182_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort697);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t182_temp_string_len * 1, _flick_abort697);
            flick_fluke_decode_new_chunk(1 * _t182_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a, char *);
            flick_fluke_decode_end_chunk(1 * _t182_temp_string_len);
            _local_b = (char **)(&_t183_storage);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort697);
            flick_fluke_decode_unsigned32(0, _t184_temp_string_len, flick_unsigned32_t );
            if (_t184_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort697);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t184_temp_string_len * 1, _flick_abort697);
            flick_fluke_decode_new_chunk(1 * _t184_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t184_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort697);
              *_local_b = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *_local_b, 1 * _t184_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t184_temp_string_len);
            _local_c = (char **)(&_t185_storage);
            _ev = (mom_exc_t *)(&_t186_storage);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(85, _flick_abort702);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t190_temp_string_len;
                    flick_unsigned32_t _t191_temp_string_len;
                    flick_unsigned32_t _t192_temp_string_len;

                    flick_fluke_stringlen(char *, _return, flick_unsigned32_t , _t190_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_b, flick_unsigned32_t , _t191_temp_string_len);
                    flick_fluke_stringlen(char *, *_local_c, flick_unsigned32_t , _t192_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4 + 1 * _t190_temp_string_len);
                    flick_fluke_encode_unsigned32(0, _t190_temp_string_len, flick_unsigned32_t );
                    if (_t190_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort713);
                    flick_fluke_encode_bcopy(4, _return, 1 * _t190_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t190_temp_string_len);
                    flick_fluke_encode_new_chunk_align(4 + 1 * _t191_temp_string_len, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t191_temp_string_len, flick_unsigned32_t );
                    if (_t191_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort713);
                    flick_fluke_encode_bcopy(4, *_local_b, 1 * _t191_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t191_temp_string_len);
                    flick_fluke_encode_new_chunk_align(4 + 1 * _t192_temp_string_len, 2, 0, 0);
                    flick_fluke_encode_unsigned32(0, _t192_temp_string_len, flick_unsigned32_t );
                    if (_t192_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort713);
                    flick_fluke_encode_bcopy(4, *_local_c, 1 * _t192_temp_string_len);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_chunk(4 + 1 * _t192_temp_string_len);
                    flick_fluke_encode_end_glob(85);
                    break;
                    {
                    _flick_abort713:
                      goto _flick_abort702;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(85);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort720);
                    break;
                    {
                    _flick_abort720:
                      goto _flick_abort702;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort721);
                    flick_fluke_encode_end_glob(85);
                    break;
                    {
                    _flick_abort721:
                      goto _flick_abort702;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort702:
              mom_flick_free(*_local_b);
            _flick_abort697:
              goto _flick_abort696;
            }
          }
          break;
          {
          _flick_abort696:
            goto _flick_abort64;
          }
        }
      case req_test_Array:
        {
          {
            test_arr_slice *_return;
            oskit_s32_t *_local_a;
            oskit_s32_t *_local_b;
            oskit_s32_t _t193_storage[10];
            oskit_s32_t *_local_c;
            oskit_s32_t _t194_storage[10];
            mom_exc_t *_ev;
            mom_exc_t _t195_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(80, _flick_abort723);
            flick_fluke_decode_new_chunk(80);
            flick_fluke_decode_msgptr(0, _local_a, oskit_s32_t *);
            _local_b = (oskit_s32_t *)_t193_storage;
            flick_fluke_decode_bcopy(40, _local_b, 40);
            _local_c = (oskit_s32_t *)_t194_storage;
            _ev = (mom_exc_t *)(&_t195_storage);
            flick_fluke_decode_end_chunk(80);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Array(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(124, _flick_abort723);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(120);
                    flick_fluke_encode_bcopy(0, _return, 40);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_bcopy(40, _local_b, 40);
                    flick_fluke_encode_bcopy(80, _local_c, 40);
                    flick_fluke_encode_end_chunk(120);
                    flick_fluke_encode_end_glob(124);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(124);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort746);
                    break;
                    {
                    _flick_abort746:
                      goto _flick_abort723;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort747);
                    flick_fluke_encode_end_glob(124);
                    break;
                    {
                    _flick_abort747:
                      goto _flick_abort723;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort723:
              goto _flick_abort722;
            }
          }
          break;
          {
          _flick_abort722:
            goto _flick_abort64;
          }
        }
      case req_test_Sequence:
        {
          {
            test_seq *_return;
            test_seq *_local_a;
            test_seq _t196_storage;
            test_seq *_local_b;
            test_seq _t197_storage;
            test_seq **_local_c;
            test_seq *_t198_storage;
            mom_exc_t *_ev;
            mom_exc_t _t199_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (test_seq *)(&_t196_storage);
            flick_fluke_check_span(8, _flick_abort749);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length, oskit_u32_t );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort749);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(8 - 8 + 4 + 4 * _local_a->_length * 1, _flick_abort749);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            flick_fluke_decode_msgptr(0, _local_a->_buffer, oskit_s32_t *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _local_b = (test_seq *)(&_t197_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_b->_length, oskit_u32_t );
            if (_local_b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort749);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _local_b->_length * 1, _flick_abort749);
            flick_fluke_decode_new_chunk(4 * _local_b->_length);
            {
              oskit_s32_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_local_b->_length * sizeof(oskit_s32_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort749);
              _local_b->_buffer = _t_alloc_ptr;
              _local_b->_maximum = _local_b->_length;
              _local_b->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
            flick_fluke_decode_end_chunk(4 * _local_b->_length);
            _local_c = (test_seq **)(&_t198_storage);
            _ev = (mom_exc_t *)(&_t199_storage);
            flick_fluke_decode_end_glob(92);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(136, _flick_abort754);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4 + 4 * _return->_length);
                    flick_fluke_encode_unsigned32(0, _return->_length, oskit_u32_t );
                    if (_return->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort765);
                    flick_fluke_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                    if (_return->_release)
                      mom_flick_free(_return->_buffer);
                    _return->_maximum = 0;
                    _return->_release = 0;
                    _return->_buffer = 0;
                    flick_fluke_encode_end_chunk(4 + 4 * _return->_length);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_new_chunk(4 + 4 * _local_b->_length);
                    flick_fluke_encode_unsigned32(0, _local_b->_length, oskit_u32_t );
                    if (_local_b->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort765);
                    flick_fluke_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                    if (_local_b->_release)
                      mom_flick_free(_local_b->_buffer);
                    _local_b->_maximum = 0;
                    _local_b->_release = 0;
                    _local_b->_buffer = 0;
                    flick_fluke_encode_end_chunk(4 + 4 * _local_b->_length);
                    flick_fluke_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                    flick_fluke_encode_unsigned32(0, (*_local_c)->_length, oskit_u32_t );
                    if ((*_local_c)->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort765);
                    flick_fluke_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                    if ((*_local_c)->_release)
                      mom_flick_free((*_local_c)->_buffer);
                    (*_local_c)->_maximum = 0;
                    (*_local_c)->_release = 0;
                    (*_local_c)->_buffer = 0;
                    flick_fluke_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                    mom_flick_free(*_local_c);
                    *_local_c = 0;
                    flick_fluke_encode_end_glob(136);
                    break;
                    {
                    _flick_abort765:
                      goto _flick_abort754;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(136);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort772);
                    break;
                    {
                    _flick_abort772:
                      goto _flick_abort754;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort773);
                    flick_fluke_encode_end_glob(136);
                    break;
                    {
                    _flick_abort773:
                      goto _flick_abort754;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort754:
              mom_flick_free(_local_b->_buffer);
            _flick_abort749:
              goto _flick_abort748;
            }
          }
          break;
          {
          _flick_abort748:
            goto _flick_abort64;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort64);
          flick_fluke_decode_end_glob(92);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort64:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort63);
  _flick_abort63:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

