#include "union-5-client.h"

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(12, _flick_abort0);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->slot_1, int );
  flick_fluke_encode_signed32(4, _data->slot_2, int );
  flick_fluke_encode_signed32(8, _data->slot_3, int );
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(12);
  flick_fluke_check_span(12, _flick_abort1);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->slot_1, int );
  flick_fluke_decode_signed32(4, _data->slot_2, int );
  flick_fluke_decode_signed32(8, _data->slot_3, int );
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(408, _flick_abort2);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->discriminator, int );
  flick_fluke_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12);
        flick_fluke_encode_bcopy(4, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_end_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_end_glob(408);
        break;
        {
        _flick_abort12:
          goto _flick_abort2;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t1_temp_string_len;

        flick_fluke_stringlen(char *, _data->foo_u.two, flick_unsigned32_t , _t1_temp_string_len);

        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
        flick_fluke_encode_end_chunk(4);
        flick_fluke_encode_end_glob(408);
        flick_fluke_encode_new_glob(1 * _t1_temp_string_len, _flick_abort15);
        flick_fluke_encode_new_chunk(1 * _t1_temp_string_len);
        flick_fluke_encode_bcopy(0, _data->foo_u.two, 1 * _t1_temp_string_len);
        flick_fluke_encode_end_chunk(1 * _t1_temp_string_len);
        flick_fluke_encode_end_glob(1 * _t1_temp_string_len);
        break;
        {
        _flick_abort15:
          goto _flick_abort2;
        }
      }
    case 3:
      {
        flick_fluke_encode_new_chunk(12);
        flick_fluke_encode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_fluke_encode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_fluke_encode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_fluke_encode_end_chunk(12);
        flick_fluke_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort19);
        flick_fluke_encode_end_glob(408);
        break;
        {
        _flick_abort19:
          goto _flick_abort2;
        }
      }
    }
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(408);
  flick_fluke_check_span(4, _flick_abort20);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->discriminator, int );
  flick_fluke_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_check_span(4, _flick_abort33);
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort33);
        flick_fluke_decode_end_chunk(4);
        flick_fluke_check_span(4 * _data->foo_u.one.one_len * 1, _flick_abort33);
        flick_fluke_decode_new_chunk(4 * _data->foo_u.one.one_len);
        {
          int *_t_alloc_ptr;

          _t_alloc_ptr = (int *)(sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
          _data->foo_u.one.one_val = _t_alloc_ptr;
        }
        flick_fluke_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_fluke_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_fluke_decode_end_glob(408);
        break;
        {
        _flick_abort33:
          goto _flick_abort20;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_fluke_check_span(4, _flick_abort37);
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_end_glob(408);
        flick_fluke_decode_new_glob(1 * _t3_temp_string_len);
        flick_fluke_check_span(1 * _t3_temp_string_len * 1, _flick_abort37);
        flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
        {
          char *_t_alloc_ptr;

          _t_alloc_ptr = (char *)(sun_flick_alloc(_t3_temp_string_len * sizeof(char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
          _data->foo_u.two = _t_alloc_ptr;
        }
        flick_fluke_decode_bcopy(0, _data->foo_u.two, 1 * _t3_temp_string_len);
        flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
        flick_fluke_decode_end_glob(1 * _t3_temp_string_len);
        break;
        {
        _flick_abort37:
          goto _flick_abort20;
        }
      }
    case 3:
      {
        flick_fluke_check_span(12, _flick_abort41);
        flick_fluke_decode_new_chunk(12);
        flick_fluke_decode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_fluke_decode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_fluke_decode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_fluke_decode_end_chunk(12);
        flick_fluke_decode_end_glob(408);
        break;
        {
        _flick_abort41:
          goto _flick_abort20;
        }
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort42);
        flick_fluke_decode_end_glob(408);
        break;
        {
        _flick_abort42:
          goto _flick_abort20;
        }
      }
    }
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

struct foo *op_2(struct foo *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct foo *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(412, _flick_abort45);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, arg->discriminator, int );
      flick_fluke_encode_end_chunk(8);
      switch (arg->discriminator)
        {
        case 1:
          {
            flick_fluke_encode_new_chunk(4 + 4 * arg->foo_u.one.one_len);
            flick_fluke_encode_unsigned32(0, arg->foo_u.one.one_len, unsigned int );
            if (arg->foo_u.one.one_len > 100)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort73);
            flick_fluke_encode_bcopy(4, arg->foo_u.one.one_val, 4 * arg->foo_u.one.one_len);
            flick_fluke_encode_end_chunk(4 + 4 * arg->foo_u.one.one_len);
            flick_fluke_encode_end_glob(412);
            break;
            {
            _flick_abort73:
              goto _flick_abort45;
            }
          }
        case 2:
          {
            flick_unsigned32_t _t7_temp_string_len;

            flick_fluke_stringlen(char *, arg->foo_u.two, flick_unsigned32_t , _t7_temp_string_len);

            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
            flick_fluke_encode_end_chunk(4);
            flick_fluke_encode_end_glob(412);
            flick_fluke_encode_new_glob(1 * _t7_temp_string_len, _flick_abort76);
            flick_fluke_encode_new_chunk(1 * _t7_temp_string_len);
            flick_fluke_encode_bcopy(0, arg->foo_u.two, 1 * _t7_temp_string_len);
            flick_fluke_encode_end_chunk(1 * _t7_temp_string_len);
            flick_fluke_encode_end_glob(1 * _t7_temp_string_len);
            break;
            {
            _flick_abort76:
              goto _flick_abort45;
            }
          }
        case 3:
          {
            flick_fluke_encode_new_chunk(12);
            flick_fluke_encode_signed32(0, arg->foo_u.three.slot_1, int );
            flick_fluke_encode_signed32(4, arg->foo_u.three.slot_2, int );
            flick_fluke_encode_signed32(8, arg->foo_u.three.slot_3, int );
            flick_fluke_encode_end_chunk(12);
            flick_fluke_encode_end_glob(412);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort80);
            flick_fluke_encode_end_glob(412);
            break;
            {
            _flick_abort80:
              goto _flick_abort45;
            }
          }
        }
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort45);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(412);
      flick_fluke_check_span(4, _flick_abort45);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t11_storage;

            /* Begin decode phase on parameters */
            _return = (struct foo *)(&_t11_storage);
            flick_fluke_check_span(4, _flick_abort108);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return->discriminator, int );
            flick_fluke_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  flick_fluke_check_span(4, _flick_abort121);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                  if (_return->foo_u.one.one_len > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort121);
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_check_span(4 * _return->foo_u.one.one_len * 1, _flick_abort121);
                  flick_fluke_decode_new_chunk(4 * _return->foo_u.one.one_len);
                  {
                    int *_t_alloc_ptr;

                    _t_alloc_ptr = (int *)(sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort121);
                    _return->foo_u.one.one_val = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                  flick_fluke_decode_end_chunk(4 * _return->foo_u.one.one_len);
                  flick_fluke_decode_end_glob(412);
                  break;
                  {
                  _flick_abort121:
                    goto _flick_abort108;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t13_temp_string_len;

                  flick_fluke_check_span(4, _flick_abort125);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_decode_end_glob(412);
                  flick_fluke_decode_new_glob(1 * _t13_temp_string_len);
                  flick_fluke_check_span(1 * _t13_temp_string_len * 1, _flick_abort125);
                  flick_fluke_decode_new_chunk(1 * _t13_temp_string_len);
                  {
                    char *_t_alloc_ptr;

                    _t_alloc_ptr = (char *)(sun_flick_alloc(_t13_temp_string_len * sizeof(char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
                    _return->foo_u.two = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, _return->foo_u.two, 1 * _t13_temp_string_len);
                  flick_fluke_decode_end_chunk(1 * _t13_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t13_temp_string_len);
                  break;
                  {
                  _flick_abort125:
                    goto _flick_abort108;
                  }
                }
              case 3:
                {
                  flick_fluke_check_span(12, _flick_abort129);
                  flick_fluke_decode_new_chunk(12);
                  flick_fluke_decode_signed32(0, _return->foo_u.three.slot_1, int );
                  flick_fluke_decode_signed32(4, _return->foo_u.three.slot_2, int );
                  flick_fluke_decode_signed32(8, _return->foo_u.three.slot_3, int );
                  flick_fluke_decode_end_chunk(12);
                  flick_fluke_decode_end_glob(412);
                  break;
                  {
                  _flick_abort129:
                    goto _flick_abort108;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort130);
                  flick_fluke_decode_end_glob(412);
                  break;
                  {
                  _flick_abort130:
                    goto _flick_abort108;
                  }
                }
              }
            break;
            {
            _flick_abort108:
              goto _flick_abort45;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(412);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort132);
            break;
            {
            _flick_abort132:
              goto _flick_abort45;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
            flick_fluke_decode_end_glob(412);
            break;
            {
            _flick_abort133:
              goto _flick_abort45;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort45);
  return _return;
  {
  _flick_abort45:
    flick_sun_client_error(fluke, fluke, _flick_abort44);
  _flick_abort44:
    goto _flick_reaper;
  }
}

