#ifndef _structnest__client_h_
#define _structnest__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

void operator<<=(CORBA::Any &a, const struct a::b::q &o);

void operator<<=(CORBA::Any &a, struct a::b::q *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::b::q *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::b::q *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::b::q *_data);

void operator<<=(CORBA::Any &a, const struct a::b &o);

void operator<<=(CORBA::Any &a, struct a::b *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::b *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::b *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::b *_data);

void operator<<=(CORBA::Any &a, const struct a::q &o);

void operator<<=(CORBA::Any &a, struct a::q *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::q *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::q *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::q *_data);

void operator<<=(CORBA::Any &a, const struct a::z::zz &o);

void operator<<=(CORBA::Any &a, struct a::z::zz *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::z::zz *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::z::zz *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::z::zz *_data);

void operator<<=(CORBA::Any &a, const struct a::z &o);

void operator<<=(CORBA::Any &a, struct a::z *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::z *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::z *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::z *_data);

struct a {
  struct b {
    struct q {
      CORBA::Boolean c;
      CORBA::Long d;
    } ;

    class q_var {

    public:
      q_var();
      q_var(struct a::b::q *p);
      q_var(const a::b::q_var &a);
      ~q_var();
      a::b::q_var &operator=(struct a::b::q *p);
      a::b::q_var &operator=(const a::b::q_var &p);
      struct a::b::q *operator->();
      const struct a::b::q *operator->() const;
      operator const struct a::b::q &() const;
      operator struct a::b::q &();
      operator struct a::b::q &() const;
      const struct a::b::q &in() const;
      struct a::b::q &inout();
      struct a::b::q &out();
      struct a::b::q _retn();
      struct a::b::q *ptr() const;

    private:
      struct a::b::q *ptr_;
    } ;

    typedef struct a::b::q &q_out;

  public:
    CORBA::Short c;
    CORBA::Char d;
    struct a::b::q e;
    CORBA::Short f;
    struct a::b::q g;
    static CORBA::TypeCode_ptr _tc_q;
  } ;

  class b_var {

  public:
    b_var();
    b_var(struct a::b *p);
    b_var(const a::b_var &a);
    ~b_var();
    a::b_var &operator=(struct a::b *p);
    a::b_var &operator=(const a::b_var &p);
    struct a::b *operator->();
    const struct a::b *operator->() const;
    operator const struct a::b &() const;
    operator struct a::b &();
    operator struct a::b &() const;
    const struct a::b &in() const;
    struct a::b &inout();
    struct a::b &out();
    struct a::b _retn();
    struct a::b *ptr() const;

  private:
    struct a::b *ptr_;
  } ;

  typedef struct a::b &b_out;

public:
  struct q {

  public:
    CORBA::Short a;
    CORBA::Double b;
  } ;

  class q_var {

  public:
    q_var();
    q_var(struct a::q *p);
    q_var(const a::q_var &a);
    ~q_var();
    a::q_var &operator=(struct a::q *p);
    a::q_var &operator=(const a::q_var &p);
    struct a::q *operator->();
    const struct a::q *operator->() const;
    operator const struct a::q &() const;
    operator struct a::q &();
    operator struct a::q &() const;
    const struct a::q &in() const;
    struct a::q &inout();
    struct a::q &out();
    struct a::q _retn();
    struct a::q *ptr() const;

  private:
    struct a::q *ptr_;
  } ;

  typedef struct a::q &q_out;
  struct z {

  public:
    struct zz {

    public:
      struct a::q a;
    } ;

    class zz_var {

    public:
      zz_var();
      zz_var(struct a::z::zz *p);
      zz_var(const a::z::zz_var &a);
      ~zz_var();
      a::z::zz_var &operator=(struct a::z::zz *p);
      a::z::zz_var &operator=(const a::z::zz_var &p);
      struct a::z::zz *operator->();
      const struct a::z::zz *operator->() const;
      operator const struct a::z::zz &() const;
      operator struct a::z::zz &();
      operator struct a::z::zz &() const;
      const struct a::z::zz &in() const;
      struct a::z::zz &inout();
      struct a::z::zz &out();
      struct a::z::zz _retn();
      struct a::z::zz *ptr() const;

    private:
      struct a::z::zz *ptr_;
    } ;

    typedef struct a::z::zz &zz_out;
    struct a::z::zz b;
    struct a::q z;
    static CORBA::TypeCode_ptr _tc_zz;
  } ;

  class z_var {

  public:
    z_var();
    z_var(struct a::z *p);
    z_var(const a::z_var &a);
    ~z_var();
    a::z_var &operator=(struct a::z *p);
    a::z_var &operator=(const a::z_var &p);
    struct a::z *operator->();
    const struct a::z *operator->() const;
    operator const struct a::z &() const;
    operator struct a::z &();
    operator struct a::z &() const;
    const struct a::z &in() const;
    struct a::z &inout();
    struct a::z &out();
    struct a::z _retn();
    struct a::z *ptr() const;

  private:
    struct a::z *ptr_;
  } ;

  typedef struct a::z &z_out;
  struct a::b e;
  struct a::q h;
  struct a::z j;
  CORBA::Float f;
  struct a::b g;
  struct a::q i;
  static CORBA::TypeCode_ptr _tc_b;
  static CORBA::TypeCode_ptr _tc_q;
  static CORBA::TypeCode_ptr _tc_z;
} ;


class a_var {

public:
  a_var();
  a_var(struct a *p);
  a_var(const a_var &a);
  ~a_var();
  a_var &operator=(struct a *p);
  a_var &operator=(const a_var &p);
  struct a *operator->();
  const struct a *operator->() const;
  operator const struct a &() const;
  operator struct a &();
  operator struct a &() const;
  const struct a &in() const;
  struct a &inout();
  struct a &out();
  struct a _retn();
  struct a *ptr() const;

private:
  struct a *ptr_;
} ;


typedef struct a &a_out;

void operator<<=(CORBA::Any &a, const struct a &o);

void operator<<=(CORBA::Any &a, struct a *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a *_data);

struct b {

public:
  struct a::b c;
  CORBA::Char d;
} ;


class b_var {

public:
  b_var();
  b_var(struct b *p);
  b_var(const b_var &a);
  ~b_var();
  b_var &operator=(struct b *p);
  b_var &operator=(const b_var &p);
  struct b *operator->();
  const struct b *operator->() const;
  operator const struct b &() const;
  operator struct b &();
  operator struct b &() const;
  const struct b &in() const;
  struct b &inout();
  struct b &out();
  struct b _retn();
  struct b *ptr() const;

private:
  struct b *ptr_;
} ;


typedef struct b &b_out;

void operator<<=(CORBA::Any &a, const struct b &o);

void operator<<=(CORBA::Any &a, struct b *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct b *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct b *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct b *_data);

class test ;


typedef test *test_ptr;

class test_var {

public:
  test_var();
  test_var(test_ptr p);
  test_var(const test_var &a);
  ~test_var();
  test_var &operator=(test_ptr p);
  test_var &operator=(const test_var &p);
  test_ptr operator->() const;
  operator const test_ptr &() const;
  operator test_ptr &();
  test_ptr in() const;
  test_ptr &inout();
  test_ptr &out();
  test_ptr _retn();
  test_ptr ptr() const;

private:
  test_ptr ptr_;
} ;


class test_out {

public:
  test_out(test_ptr &r);
  test_out(test_var &r);
  test_out(const test_out &r);
  test_out &operator=(const test_out &r);
  test_out &operator=(const test_var &r);
  test_out &operator=(test_ptr r);
  operator test_ptr &();
  test_ptr &ptr();
  test_ptr operator->();

private:
  test_ptr &ptr_;
} ;


class test : public virtual ACE_CORBA_1 (Object) {

public:
  static test_ptr _duplicate(test_ptr obj);
  static test_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  test();
  virtual ~test();

private:
  test(const test &v);
  void operator=(const test &v);

public:
  virtual struct b CopyAdd(/* test *this, */ const struct a &s1, CORBA::Environment &_ev);

protected:
  test(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

void operator<<=(CORBA::Any &a, test_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o);

extern CORBA::TypeCode_ptr _tc_a;

extern CORBA::TypeCode_ptr _tc_b;

extern CORBA::TypeCode_ptr _tc_test;

#endif /* _structnest__client_h_ */
