#ifndef _unionplain__server_h_
#define _unionplain__server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "unionplain_-client.h"
#include <flick/pres/corbaxx.h>

class POA_un ;


typedef POA_un *POA_un_ptr;

class POA_un : public virtual PortableServer::ServantBase {

protected:
  POA_un();

public:
  POA_un(const POA_un &rhs);
  virtual ~POA_un();
  un *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual Foo one(/* POA_un *this, */ const Foo2 &a, CORBA::Environment &_ev) = 0;
  virtual Foo3 two(/* POA_un *this, */ const Foo4 &a, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_un_tie : public POA_un {

  public:
    POA_un_tie(T &t);
    POA_un_tie(T &t, PortableServer::POA_ptr poa);
    POA_un_tie(T *t, CORBA::Boolean release = 1);
    POA_un_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_un_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_un_tie(const POA_un_tie &c);
    void operator=(const POA_un_tie &c);

  public:
    Foo one(/* POA_un *this, */ const Foo2 &a, CORBA::Environment &_ev);
    Foo3 two(/* POA_un *this, */ const Foo4 &a, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, un_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, un_ptr *_data);

class _tao_collocated_un : public virtual un {

public:
  _tao_collocated_un(POA_un_ptr servant, TAO_Stub *stub);
  POA_un_ptr _get_servant() const;
  virtual Foo one(const Foo2 &a, CORBA::Environment &_ev);
  virtual Foo3 two(const Foo4 &a, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_un_ptr servant_;
} ;


#endif /* _unionplain__server_h_ */
