#include "mig-tests-client.h"

/* This is the runtime type information */
/* */

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort1);
    _buf_start->Head.msgh_id = 5550001;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, inInt, Iint );
    flick_mach3mig_encode_signed32(8, *inoutInt, Iint );
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t1_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 5550101:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(16);
                flick_mach3mig_check_span(16, _flick_abort14);
                flick_mach3mig_decode_new_chunk(16);
                flick_mach3mig_decode_signed32(0, *inoutInt, Iint );
                flick_mach3mig_decode_signed32(8, *outInt, Iint );
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
                {
                _flick_abort14:
                  goto _flick_abort10;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort15);
                break;
                {
                _flick_abort15:
                  goto _flick_abort10;
                }
              }
            }
          break;
          {
          _flick_abort10:
            goto _flick_abort1;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(mach3mig, mig, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  char _global_buf_start[840];
  void *_buf_end = (void *)&(_global_buf_start[840]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t5_internal;
    unsigned *_t6_internal;
    unsigned *_t7_internal;

    _t5_internal = (unsigned *)(&(inStruct));
    _t6_internal = (unsigned *)(&(*inoutStruct));
    _t7_internal = (unsigned *)(&(*outStruct));

    flick_mach3mig_encode_new_glob(808, _flick_abort17);
    _buf_start->Head.msgh_id = 5550002;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(808);
    flick_mach3mig_array_encode_signed32_type(0, 100, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t5_internal, 400);
    flick_mach3mig_array_encode_signed32_type(404, 100, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(408, _t6_internal, 400);
    flick_mach3mig_encode_end_chunk(808);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(808);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17);
  flick_mach3mig_client_start_decode();
  {
    signed int _t19_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t19_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t19_switch_tag)
      {
      case (signed int) 5550102:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t25_internal;
                unsigned *_t26_internal;
                unsigned int _t27_array_length;
                unsigned *_t28_internal;
                unsigned int _t29_array_length;

                _t25_internal = (unsigned *)(&(inStruct));
                _t26_internal = (unsigned *)(&(*inoutStruct));
                _t28_internal = (unsigned *)(&(*outStruct));

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(808);
                flick_mach3mig_check_span(808, _flick_abort55);
                flick_mach3mig_array_decode_new_chunk(808);
                _t27_array_length = 100;
                flick_mach3mig_array_decode_signed32_type(0, _t27_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t26_internal, 400);
                _t29_array_length = 100;
                flick_mach3mig_array_decode_signed32_type(404, _t29_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(408, _t28_internal, 400);
                flick_mach3mig_decode_end_chunk(808);
                flick_mach3mig_decode_end_glob(808);
                break;
                {
                _flick_abort55:
                  goto _flick_abort46;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort61);
                break;
                {
                _flick_abort61:
                  goto _flick_abort46;
                }
              }
            }
          break;
          {
          _flick_abort46:
            goto _flick_abort17;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort17);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort17:
    flick_mig_client_error(mach3mig, mig, _flick_abort16);
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  char _global_buf_start[2440];
  void *_buf_end = (void *)&(_global_buf_start[2440]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t32_internal;
    unsigned *_t33_internal;

    _t32_internal = (unsigned *)inArray;
    _t33_internal = (unsigned *)inoutArray;

    flick_mach3mig_encode_new_glob(2408, _flick_abort63);
    _buf_start->Head.msgh_id = 5550003;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(2408);
    flick_mach3mig_array_encode_signed32_type(0, 300, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t32_internal, 1200);
    flick_mach3mig_array_encode_signed32_type(1204, 300, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(1208, _t33_internal, 1200);
    flick_mach3mig_encode_end_chunk(2408);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(2408);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  flick_mach3mig_client_start_decode();
  {
    signed int _t43_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t43_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t43_switch_tag)
      {
      case (signed int) 5550103:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t48_internal;
                unsigned int _t49_array_length;
                unsigned *_t50_internal;
                unsigned int _t51_array_length;

                _t48_internal = (unsigned *)inoutArray;
                _t50_internal = (unsigned *)outArray;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(2408);
                flick_mach3mig_check_span(2408, _flick_abort101);
                flick_mach3mig_array_decode_new_chunk(2408);
                _t49_array_length = 300;
                flick_mach3mig_array_decode_signed32_type(0, _t49_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t48_internal, 1200);
                _t51_array_length = 300;
                flick_mach3mig_array_decode_signed32_type(1204, _t51_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(1208, _t50_internal, 1200);
                flick_mach3mig_decode_end_chunk(2408);
                flick_mach3mig_decode_end_glob(2408);
                break;
                {
                _flick_abort101:
                  goto _flick_abort92;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort107);
                break;
                {
                _flick_abort107:
                  goto _flick_abort92;
                }
              }
            }
          break;
          {
          _flick_abort92:
            goto _flick_abort63;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort63);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort63:
    flick_mig_client_error(mach3mig, mig, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  char _global_buf_start[2036];
  void *_buf_end = (void *)&(_global_buf_start[2036]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(2004, _flick_abort109);
    _buf_start->Head.msgh_id = 5550004;
    /* Begin encode phase on parameters */
    if (inArrayCnt > 500)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort109);
    flick_mach3mig_array_encode_new_chunk(4 + 4 * inArrayCnt);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, inArray, 4 * inArrayCnt);
    flick_mach3mig_array_encode_end_chunk(4 + 4 * inArrayCnt);
    *outArrayCnt = 0;
    outArray = 0;
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(2004);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort109);
  flick_mach3mig_client_start_decode();
  {
    signed int _t53_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t53_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t53_switch_tag)
      {
      case (signed int) 5550104:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                if (*outArrayCnt > 500)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort135);
                flick_mach3mig_array_decode_new_glob(2004);
                flick_mach3mig_check_span(4, _flick_abort135);
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_signed32_type(0, *outArrayCnt, 1, 0, _type);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_check_span(4 * *outArrayCnt * 1, _flick_abort135);
                flick_mach3mig_array_decode_new_chunk(4 * *outArrayCnt);
                flick_mach3mig_array_decode_bcopy(0, outArray, 4 * *outArrayCnt);
                flick_mach3mig_array_decode_end_chunk(4 * *outArrayCnt);
                flick_mach3mig_decode_end_glob(2004);
                break;
                {
                _flick_abort135:
                  goto _flick_abort128;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort139);
                break;
                {
                _flick_abort139:
                  goto _flick_abort128;
                }
              }
            }
          break;
          {
          _flick_abort128:
            goto _flick_abort109;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort109);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort109:
    flick_mig_client_error(mach3mig, mig, _flick_abort108);
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t55_ool_check;

    _buf_start->Head.msgh_id = 5550005;
    /* Begin encode phase on parameters */
    _t55_ool_check = inArrayCnt > 512;
    flick_mach3mig_array_encode_new_glob(16, _flick_abort141);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, !_t55_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t55_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inArray, unsigned int );
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
        goto _flick_label3;
        {
          goto _flick_abort141;
        }
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inArrayCnt, _flick_abort158);
        flick_mach3mig_array_encode_new_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_bcopy(0, inArray, 4 * inArrayCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_end_glob(4 * inArrayCnt);
        goto _flick_label3;
        {
        _flick_abort158:
          goto _flick_abort141;
        }
      }
    *outArrayCnt = 0;
    *outArray = 0;
    _stub_state.state = FLICK_STATE_SEND;
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block204);
  flick_mach3mig_client_start_decode();
  {
    signed int _t59_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t59_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t59_switch_tag)
      {
      case (signed int) 5550105:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                int _t61_ool_check;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_check_span(12, _flick_abort202);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_signed32_type(0, *outArrayCnt, !_t61_ool_check, 0, _long_type);
                _t61_ool_check = *outArrayCnt > 512;
                flick_mach3mig_array_decode_end_chunk(12);
                if (_t61_ool_check)
                  {
                    flick_mach3mig_check_span(4, _flick_abort209);
                    flick_mach3mig_array_decode_new_chunk(4);
                    flick_mach3mig_array_decode_unsigned32(0, *outArray, unsigned int );
                    flick_mach3mig_array_decode_end_chunk(4);
                    flick_mach3mig_array_decode_end_glob(16);
                    goto _flick_label11;
                    {
                    _flick_abort209:
                      goto _flick_abort202;
                    }
                  }
                else
                  {
                    flick_mach3mig_array_decode_end_glob(16);
                    flick_mach3mig_array_decode_new_glob(4 * *outArrayCnt);
                    flick_mach3mig_check_span(4 * *outArrayCnt * 1, _flick_abort210);
                    flick_mach3mig_array_decode_new_chunk(4 * *outArrayCnt);
                    {
                      unsigned *_t_alloc_ptr;

                      _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort210);
                      *outArray = _t_alloc_ptr;
                    }
                    flick_mach3mig_array_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
                    flick_mach3mig_array_decode_end_chunk(4 * *outArrayCnt);
                    flick_mach3mig_array_decode_end_glob(4 * *outArrayCnt);
                    goto _flick_label11;
                    {
                    _flick_abort210:
                      goto _flick_abort202;
                    }
                  }
                break;
                {
                _flick_abort202:
                  goto _flick_abort188;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort213);
                break;
                {
                _flick_abort213:
                  goto _flick_abort188;
                }
              }
            }
          break;
          {
          _flick_abort188:
            goto _flick_abort_block204;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort_block204);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort_block204:
  _flick_abort141:
    flick_mig_client_error(mach3mig, mig, _flick_abort140);
  _flick_abort140:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  char _global_buf_start[1640];
  void *_buf_end = (void *)&(_global_buf_start[1640]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    char *_t64_internal;
    char *_t65_internal;

    _t64_internal = (char *)inString;
    _t65_internal = (char *)inoutString;

    flick_mach3mig_encode_new_glob(1608, _flick_abort215);
    _buf_start->Head.msgh_id = 5550006;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(1608);
    flick_mach3mig_array_encode_string_c_type(0, 799, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t64_internal, 799);
    flick_mach3mig_array_encode_string_c_type(804, 799, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(808, _t65_internal, 799);
    flick_mach3mig_encode_end_chunk(1608);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(1608);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort215);
  flick_mach3mig_client_start_decode();
  {
    signed int _t75_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t75_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t75_switch_tag)
      {
      case (signed int) 5550106:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                char *_t80_internal;
                unsigned int _t81_array_length;
                char *_t82_internal;
                unsigned int _t83_array_length;

                _t80_internal = (char *)inoutString;
                _t82_internal = (char *)outString;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(1608);
                flick_mach3mig_check_span(1608, _flick_abort253);
                flick_mach3mig_array_decode_new_chunk(1608);
                _t81_array_length = 799;
                flick_mach3mig_array_decode_string_c_type(0, _t81_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t80_internal, 799);
                _t83_array_length = 799;
                flick_mach3mig_array_decode_string_c_type(804, _t83_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(808, _t82_internal, 799);
                flick_mach3mig_decode_end_chunk(1608);
                flick_mach3mig_decode_end_glob(1608);
                break;
                {
                _flick_abort253:
                  goto _flick_abort244;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort259);
                break;
                {
                _flick_abort259:
                  goto _flick_abort244;
                }
              }
            }
          break;
          {
          _flick_abort244:
            goto _flick_abort215;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort215);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort215:
    flick_mig_client_error(mach3mig, mig, _flick_abort214);
  _flick_abort214:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  char _global_buf_start[5045];
  void *_buf_end = (void *)&(_global_buf_start[5045]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_unsigned32_t _t85_temp_string_len;

    flick_mach3mig_stringlen(IVstring , inString, flick_unsigned32_t , _t85_temp_string_len);

    flick_mach3mig_encode_new_glob(5013, _flick_abort261);
    _buf_start->Head.msgh_id = 5550007;
    /* Begin encode phase on parameters */
    if (_t85_temp_string_len > 4997)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort261);
    flick_mach3mig_array_encode_new_chunk(12 + 1 * _t85_temp_string_len);
    flick_mach3mig_array_encode_string_c_type(0, _t85_temp_string_len, 1, 0, _long_type);
    flick_mach3mig_array_encode_bcopy(12, inString, 1 * _t85_temp_string_len);
    flick_mach3mig_array_encode_end_chunk(12 + 1 * _t85_temp_string_len);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    outString = 0;
    flick_mach3mig_encode_end_chunk(0);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(5013);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort261);
  flick_mach3mig_client_start_decode();
  {
    signed int _t91_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t91_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t91_switch_tag)
      {
      case (signed int) 5550107:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                flick_unsigned32_t _t94_temp_string_len;
                flick_unsigned32_t _t95_temp_string_len;

                /* Begin decode phase on parameters */
                if (_t95_temp_string_len > 4997)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort287);
                flick_mach3mig_array_decode_new_glob(5013);
                flick_mach3mig_check_span(12, _flick_abort287);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_string_c_type(0, _t95_temp_string_len, 1, 0, _long_type);
                flick_mach3mig_array_decode_end_chunk(12);
                flick_mach3mig_check_span(1 * _t95_temp_string_len * 1, _flick_abort287);
                flick_mach3mig_array_decode_new_chunk(1 * _t95_temp_string_len);
                flick_mach3mig_array_decode_bcopy(0, outString, 1 * _t95_temp_string_len);
                flick_mach3mig_array_decode_end_chunk(1 * _t95_temp_string_len);
                flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
                flick_mach3mig_check_span(0, _flick_abort287);
                flick_mach3mig_decode_end_chunk(0);
                flick_mach3mig_decode_end_glob(5013);
                break;
                {
                _flick_abort287:
                  goto _flick_abort280;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort291);
                break;
                {
                _flick_abort291:
                  goto _flick_abort280;
                }
              }
            }
          break;
          {
          _flick_abort280:
            goto _flick_abort261;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort261);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort261:
    flick_mig_client_error(mach3mig, mig, _flick_abort260);
  _flick_abort260:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort293);
    _buf_start->Head.msgh_id = 5550008;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_port32(0, inRight, 1, MACH_MSG_TYPE_MOVE_RECEIVE);
    flick_mach3mig_encode_port32(8, *inoutRight, 1, MACH_MSG_TYPE_COPY_SEND);
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort293);
  flick_mach3mig_client_start_decode();
  {
    signed int _t97_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t97_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t97_switch_tag)
      {
      case (signed int) 5550108:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(16);
                flick_mach3mig_check_span(16, _flick_abort306);
                flick_mach3mig_decode_new_chunk(16);
                flick_mach3mig_decode_port32(0, *inoutRight, 1, MACH_MSG_TYPE_PORT_SEND);
                flick_mach3mig_decode_port32(8, *outRight, 1, MACH_MSG_TYPE_PORT_RECEIVE);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
                {
                _flick_abort306:
                  goto _flick_abort302;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort307);
                break;
                {
                _flick_abort307:
                  goto _flick_abort302;
                }
              }
            }
          break;
          {
          _flick_abort302:
            goto _flick_abort293;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort293);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort293:
    flick_mig_client_error(mach3mig, mig, _flick_abort292);
  _flick_abort292:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t99_ool_check;

    _buf_start->Head.msgh_id = 5550009;
    /* Begin encode phase on parameters */
    _t99_ool_check = inRightCnt > 512;
    flick_mach3mig_array_encode_new_glob(16, _flick_abort309);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MOVE_RECEIVE, inRightCnt, !_t99_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t99_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inRight, unsigned int );
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
        goto _flick_label15;
        {
          goto _flick_abort309;
        }
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inRightCnt, _flick_abort326);
        flick_mach3mig_array_encode_new_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_bcopy(0, inRight, 4 * inRightCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_end_glob(4 * inRightCnt);
        goto _flick_label15;
        {
        _flick_abort326:
          goto _flick_abort309;
        }
      }
    *outRightCnt = 0;
    *outRight = 0;
    _stub_state.state = FLICK_STATE_SEND;
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block426);
  flick_mach3mig_client_start_decode();
  {
    signed int _t103_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t103_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t103_switch_tag)
      {
      case (signed int) 5550109:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                int _t105_ool_check;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_check_span(12, _flick_abort370);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_RECEIVE, *outRightCnt, !_t105_ool_check, 0, _long_type);
                _t105_ool_check = *outRightCnt > 512;
                flick_mach3mig_array_decode_end_chunk(12);
                if (_t105_ool_check)
                  {
                    flick_mach3mig_check_span(4, _flick_abort377);
                    flick_mach3mig_array_decode_new_chunk(4);
                    flick_mach3mig_array_decode_unsigned32(0, *outRight, unsigned int );
                    flick_mach3mig_array_decode_end_chunk(4);
                    flick_mach3mig_array_decode_end_glob(16);
                    goto _flick_label23;
                    {
                    _flick_abort377:
                      goto _flick_abort370;
                    }
                  }
                else
                  {
                    flick_mach3mig_array_decode_end_glob(16);
                    flick_mach3mig_array_decode_new_glob(4 * *outRightCnt);
                    flick_mach3mig_check_span(4 * *outRightCnt * 1, _flick_abort378);
                    flick_mach3mig_array_decode_new_chunk(4 * *outRightCnt);
                    {
                      mach_port_t *_t_alloc_ptr;

                      _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort378);
                      *outRight = _t_alloc_ptr;
                    }
                    flick_mach3mig_array_decode_bcopy(0, *outRight, 4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_chunk(4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_glob(4 * *outRightCnt);
                    goto _flick_label23;
                    {
                    _flick_abort378:
                      goto _flick_abort370;
                    }
                  }
                break;
                {
                _flick_abort370:
                  goto _flick_abort356;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort381);
                break;
                {
                _flick_abort381:
                  goto _flick_abort356;
                }
              }
            }
          break;
          {
          _flick_abort356:
            goto _flick_abort_block426;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort_block426);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort_block426:
  _flick_abort309:
    flick_mig_client_error(mach3mig, mig, _flick_abort308);
  _flick_abort308:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t107_ool_check;

    _buf_start->Head.msgh_id = 5550010;
    /* Begin encode phase on parameters */
    _t107_ool_check = inRightCnt > 512;
    flick_mach3mig_array_encode_new_glob(16, _flick_abort383);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_COPY_SEND, inRightCnt, !_t107_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t107_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inRight, unsigned int );
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
        goto _flick_label27;
        {
          goto _flick_abort383;
        }
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inRightCnt, _flick_abort400);
        flick_mach3mig_array_encode_new_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_bcopy(0, inRight, 4 * inRightCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_end_glob(4 * inRightCnt);
        goto _flick_label27;
        {
        _flick_abort400:
          goto _flick_abort383;
        }
      }
    *outRightCnt = 0;
    *outRight = 0;
    _stub_state.state = FLICK_STATE_SEND;
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block527);
  flick_mach3mig_client_start_decode();
  {
    signed int _t111_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t111_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t111_switch_tag)
      {
      case (signed int) 5550110:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                int _t113_ool_check;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_check_span(12, _flick_abort444);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_NAME, *outRightCnt, !_t113_ool_check, 0, _long_type);
                _t113_ool_check = *outRightCnt > 512;
                flick_mach3mig_array_decode_end_chunk(12);
                if (_t113_ool_check)
                  {
                    flick_mach3mig_check_span(4, _flick_abort451);
                    flick_mach3mig_array_decode_new_chunk(4);
                    flick_mach3mig_array_decode_unsigned32(0, *outRight, unsigned int );
                    flick_mach3mig_array_decode_end_chunk(4);
                    flick_mach3mig_array_decode_end_glob(16);
                    goto _flick_label35;
                    {
                    _flick_abort451:
                      goto _flick_abort444;
                    }
                  }
                else
                  {
                    flick_mach3mig_array_decode_end_glob(16);
                    flick_mach3mig_array_decode_new_glob(4 * *outRightCnt);
                    flick_mach3mig_check_span(4 * *outRightCnt * 1, _flick_abort452);
                    flick_mach3mig_array_decode_new_chunk(4 * *outRightCnt);
                    {
                      mach_port_t *_t_alloc_ptr;

                      _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort452);
                      *outRight = _t_alloc_ptr;
                    }
                    flick_mach3mig_array_decode_bcopy(0, *outRight, 4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_chunk(4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_glob(4 * *outRightCnt);
                    goto _flick_label35;
                    {
                    _flick_abort452:
                      goto _flick_abort444;
                    }
                  }
                break;
                {
                _flick_abort444:
                  goto _flick_abort430;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort455);
                break;
                {
                _flick_abort455:
                  goto _flick_abort430;
                }
              }
            }
          break;
          {
          _flick_abort430:
            goto _flick_abort_block527;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort_block527);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort_block527:
  _flick_abort383:
    flick_mig_client_error(mach3mig, mig, _flick_abort382);
  _flick_abort382:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort457);
    _buf_start->Head.msgh_id = 5550012;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inInt, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutInt, unsigned int );
    *outInt = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort457);
  flick_mach3mig_client_start_decode();
  {
    signed int _t115_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t115_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t115_switch_tag)
      {
      case (signed int) 5550112:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort470);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inInt, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutInt, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outInt, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort470:
                  goto _flick_abort466;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort471);
                break;
                {
                _flick_abort471:
                  goto _flick_abort466;
                }
              }
            }
          break;
          {
          _flick_abort466:
            goto _flick_abort457;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort457);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort457:
    flick_mig_client_error(mach3mig, mig, _flick_abort456);
  _flick_abort456:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort473);
    _buf_start->Head.msgh_id = 5550013;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inStruct, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutStruct, unsigned int );
    *outStruct = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort473);
  flick_mach3mig_client_start_decode();
  {
    signed int _t117_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t117_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t117_switch_tag)
      {
      case (signed int) 5550113:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort486);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inStruct, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutStruct, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outStruct, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort486:
                  goto _flick_abort482;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort487);
                break;
                {
                _flick_abort487:
                  goto _flick_abort482;
                }
              }
            }
          break;
          {
          _flick_abort482:
            goto _flick_abort473;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort473);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort473:
    flick_mig_client_error(mach3mig, mig, _flick_abort472);
  _flick_abort472:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort489);
    _buf_start->Head.msgh_id = 5550014;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inArray, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutArray, unsigned int );
    *outArray = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort489);
  flick_mach3mig_client_start_decode();
  {
    signed int _t119_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t119_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t119_switch_tag)
      {
      case (signed int) 5550114:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort502);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inArray, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutArray, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outArray, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort502:
                  goto _flick_abort498;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort503);
                break;
                {
                _flick_abort503:
                  goto _flick_abort498;
                }
              }
            }
          break;
          {
          _flick_abort498:
            goto _flick_abort489;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort489);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort489:
    flick_mig_client_error(mach3mig, mig, _flick_abort488);
  _flick_abort488:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort505);
    _buf_start->Head.msgh_id = 5550015;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inArray, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutArray, unsigned int );
    *outArrayCnt = 0;
    *outArray = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort505);
  flick_mach3mig_client_start_decode();
  {
    signed int _t121_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t121_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t121_switch_tag)
      {
      case (signed int) 5550115:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort518);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inArray, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutArray, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outArray, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort518:
                  goto _flick_abort514;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort519);
                break;
                {
                _flick_abort519:
                  goto _flick_abort514;
                }
              }
            }
          break;
          {
          _flick_abort514:
            goto _flick_abort505;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort505);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort505:
    flick_mig_client_error(mach3mig, mig, _flick_abort504);
  _flick_abort504:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort521);
    _buf_start->Head.msgh_id = 5550016;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inString, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutString, unsigned int );
    *outString = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort521);
  flick_mach3mig_client_start_decode();
  {
    signed int _t123_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t123_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t123_switch_tag)
      {
      case (signed int) 5550116:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort534);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inString, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutString, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outString, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort534:
                  goto _flick_abort530;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort535);
                break;
                {
                _flick_abort535:
                  goto _flick_abort530;
                }
              }
            }
          break;
          {
          _flick_abort530:
            goto _flick_abort521;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort521);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort521:
    flick_mig_client_error(mach3mig, mig, _flick_abort520);
  _flick_abort520:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort537);
    _buf_start->Head.msgh_id = 5550017;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inRight, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutRight, unsigned int );
    *outRightCnt = 0;
    *outRight = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort537);
  flick_mach3mig_client_start_decode();
  {
    signed int _t125_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t125_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t125_switch_tag)
      {
      case (signed int) 5550117:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort550);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inRight, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutRight, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outRight, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort550:
                  goto _flick_abort546;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort551);
                break;
                {
                _flick_abort551:
                  goto _flick_abort546;
                }
              }
            }
          break;
          {
          _flick_abort546:
            goto _flick_abort537;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort537);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort537:
    flick_mig_client_error(mach3mig, mig, _flick_abort536);
  _flick_abort536:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort553);
    _buf_start->Head.msgh_id = 5550018;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inRight, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutRight, unsigned int );
    *outRightCnt = 0;
    *outRight = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort553);
  flick_mach3mig_client_start_decode();
  {
    signed int _t127_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t127_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t127_switch_tag)
      {
      case (signed int) 5550118:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort566);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inRight, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutRight, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outRight, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort566:
                  goto _flick_abort562;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort567);
                break;
                {
                _flick_abort567:
                  goto _flick_abort562;
                }
              }
            }
          break;
          {
          _flick_abort562:
            goto _flick_abort553;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort553);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort553:
    flick_mig_client_error(mach3mig, mig, _flick_abort552);
  _flick_abort552:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_mach3mig_client_encode_client(reply, 0, 0, mach3mig);
  }
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8, _flick_abort569);
    _buf_start->Head.msgh_id = 5550020;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data, unsigned int );
    flick_mach3mig_encode_end_chunk(8);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort569);
  flick_mach3mig_client_start_decode();
  {
    signed int _t129_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t129_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t129_switch_tag)
      {
      case (signed int) 5550120:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_check_span(8, _flick_abort582);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data, unsigned int );
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
                {
                _flick_abort582:
                  goto _flick_abort578;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort583);
                break;
                {
                _flick_abort583:
                  goto _flick_abort578;
                }
              }
            }
          break;
          {
          _flick_abort578:
            goto _flick_abort569;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort569);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort569:
    flick_mig_client_error(mach3mig, mig, _flick_abort568);
  _flick_abort568:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8, _flick_abort585);
    _buf_start->Head.msgh_id = 5550021;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data, unsigned int );
    flick_mach3mig_encode_end_chunk(8);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort585);
  flick_mach3mig_client_start_decode();
  {
    signed int _t131_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t131_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t131_switch_tag)
      {
      case (signed int) 5550121:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_check_span(8, _flick_abort598);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data, unsigned int );
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
                {
                _flick_abort598:
                  goto _flick_abort594;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort599);
                break;
                {
                _flick_abort599:
                  goto _flick_abort594;
                }
              }
            }
          break;
          {
          _flick_abort594:
            goto _flick_abort585;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort585);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort585:
    flick_mig_client_error(mach3mig, mig, _flick_abort584);
  _flick_abort584:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_mach3mig_client_encode_client(reply, 0, 0, mach3mig);
  }
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8, _flick_abort601);
    _buf_start->Head.msgh_id = 5550022;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data, unsigned int );
    flick_mach3mig_encode_end_chunk(8);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort601);
  flick_mach3mig_client_start_decode();
  {
    signed int _t133_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t133_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t133_switch_tag)
      {
      case (signed int) 5550122:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_check_span(8, _flick_abort614);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data, unsigned int );
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
                {
                _flick_abort614:
                  goto _flick_abort610;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort615);
                break;
                {
                _flick_abort615:
                  goto _flick_abort610;
                }
              }
            }
          break;
          {
          _flick_abort610:
            goto _flick_abort601;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort601);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort601:
    flick_mig_client_error(mach3mig, mig, _flick_abort600);
  _flick_abort600:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8, _flick_abort617);
    _buf_start->Head.msgh_id = 5550023;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data, unsigned int );
    flick_mach3mig_encode_end_chunk(8);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_RCV_TIMEOUT | opt, time);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort617);
  flick_mach3mig_client_start_decode();
  {
    signed int _t135_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t135_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t135_switch_tag)
      {
      case (signed int) 5550123:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_check_span(8, _flick_abort630);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data, unsigned int );
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
                {
                _flick_abort630:
                  goto _flick_abort626;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort631);
                break;
                {
                _flick_abort631:
                  goto _flick_abort626;
                }
              }
            }
          break;
          {
          _flick_abort626:
            goto _flick_abort617;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort617);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort617:
    flick_mig_client_error(mach3mig, mig, _flick_abort616);
  _flick_abort616:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  char _global_buf_start[56];
  void *_buf_end = (void *)&(_global_buf_start[56]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16, _flick_abort633);
    _buf_start->Head.msgh_id = 5550024;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_unsigned32(0, inArray, unsigned int );
    flick_mach3mig_encode_unsigned32(8, *inoutArray, unsigned int );
    *outArrayCnt = 0;
    *outArray = 0;
    flick_mach3mig_encode_end_chunk(16);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort633);
  flick_mach3mig_client_start_decode();
  {
    signed int _t137_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t137_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t137_switch_tag)
      {
      case (signed int) 5550124:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(24);
                flick_mach3mig_check_span(24, _flick_abort646);
                flick_mach3mig_decode_new_chunk(24);
                flick_mach3mig_decode_unsigned32(0, inArray, unsigned int );
                flick_mach3mig_decode_unsigned32(8, *inoutArray, unsigned int );
                flick_mach3mig_decode_unsigned32(16, *outArray, unsigned int );
                flick_mach3mig_decode_end_chunk(24);
                flick_mach3mig_decode_end_glob(24);
                break;
                {
                _flick_abort646:
                  goto _flick_abort642;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort647);
                break;
                {
                _flick_abort647:
                  goto _flick_abort642;
                }
              }
            }
          break;
          {
          _flick_abort642:
            goto _flick_abort633;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort633);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort633:
    flick_mig_client_error(mach3mig, mig, _flick_abort632);
  _flick_abort632:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t139_ool_check;

    _buf_start->Head.msgh_id = 5550025;
    /* Begin encode phase on parameters */
    _t139_ool_check = inArrayCnt > 512;
    flick_mach3mig_array_encode_new_glob(16, _flick_abort649);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, !_t139_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t139_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inArray, unsigned int );
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
        goto _flick_label39;
        {
          goto _flick_abort649;
        }
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inArrayCnt, _flick_abort666);
        flick_mach3mig_array_encode_new_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_bcopy(0, inArray, 4 * inArrayCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_end_glob(4 * inArrayCnt);
        goto _flick_label39;
        {
        _flick_abort666:
          goto _flick_abort649;
        }
      }
    _stub_state.state = FLICK_STATE_SEND;
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block856);
  flick_mach3mig_client_start_decode();
  {
    signed int _t141_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    _t141_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t141_switch_tag)
      {
      case (signed int) 5550125:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_check_span(8, _flick_abort683);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_boolean(0, *scopy, boolean_t );
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
                {
                _flick_abort683:
                  goto _flick_abort678;
                }
              }
            default:
              {
                flick_mig_decode_system_exception(_return, mach3mig, mach3mig, _flick_abort685);
                break;
                {
                _flick_abort685:
                  goto _flick_abort678;
                }
              }
            }
          break;
          {
          _flick_abort678:
            goto _flick_abort_block856;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort_block856);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort_block856:
  _flick_abort649:
    flick_mig_client_error(mach3mig, mig, _flick_abort648);
  _flick_abort648:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

kern_return_t terminate(mach_port_t target)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(MACH_PORT_NULL, 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(0, _flick_abort687);
    _buf_start->Head.msgh_id = 5550026;
    /* Begin encode phase on parameters */
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(0);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_send(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
  return _return;
  {
  _flick_abort687:
    flick_mig_client_error(mach3mig, mig, _flick_abort686);
  _flick_abort686:
    goto _flick_reaper;
  }
_flick_reaper:
  if (MACH_MSG_SUCCESS != _ipc_return)
    return _ipc_return;
  else
    return _return;
}

