#include "sequence-client.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	0
};

/* */

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev)
{
  char _global_buf_start[212];
  void *_buf_end = (void *)&(_global_buf_start[212]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  vec10 *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(120, _flick_abort1);
    flick_mach3mig_encode_new_chunk(36 + 4 * iv->_length);
    flick_mach3mig_encode_unsigned32(0, 3, flick_unsigned32_t );
    flick_mach3mig_encode_char8(8, 'o', flick_char8_t );
    flick_mach3mig_encode_char8(16, 'p', flick_char8_t );
    flick_mach3mig_encode_char8(24, 0, flick_char8_t );
    /* Begin encode phase on parameters */
    if (iv->_length > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1);
    flick_mach3mig_array_encode_signed32_type(32, iv->_length, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(36, iv->_buffer, 4 * iv->_length);
    flick_mach3mig_array_encode_end_chunk(36 + 4 * iv->_length);
    if (iov->_length > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1);
    flick_mach3mig_array_encode_new_chunk(4 + 4 * iov->_length);
    flick_mach3mig_array_encode_signed32_type(0, iov->_length, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, iov->_buffer, 4 * iov->_length);
    if (iov->_release)
      CORBA_flick_free(iov->_buffer);
    iov->_maximum = 0;
    iov->_release = 0;
    iov->_buffer = 0;
    flick_mach3mig_array_encode_end_chunk(4 + 4 * iov->_length);
    _stub_state.state = FLICK_STATE_SEND;
    flick_mach3mig_encode_end_glob(120);
  }
  flick_mach3mig_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND_RECEIVE;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t61_switch_tag;

    _stub_state.state = FLICK_STATE_UNMARSHAL;
    flick_mach3mig_decode_new_glob(180);
    flick_mach3mig_check_span(48, _flick_abort1);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t61_switch_tag, unsigned int );
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t61_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t62_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t62_switch_tag, char );
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t62_switch_tag)
            {
            case '$':
              {
                char _t63_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t63_switch_tag, char );
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t63_switch_tag)
                  {
                  case 'o':
                    {
                      char _t64_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t64_switch_tag, char );
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t64_switch_tag)
                        {
                        case 'p':
                          {
                            char _t65_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t65_switch_tag, char );
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t65_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major, CORBA_exception_type );
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        {
                                          vec10 *_t_alloc_ptr;

                                          _t_alloc_ptr = (vec10 *)(CORBA_flick_alloc(sizeof(vec10 )));
                                          if (!_t_alloc_ptr)
                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort73);
                                          _return = _t_alloc_ptr;
                                        }
                                        if (_return->_length > 10)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort74);
                                        flick_mach3mig_check_span(12, _flick_abort74);
                                        flick_mach3mig_array_decode_new_chunk(4);
                                        flick_mach3mig_array_decode_signed32_type(0, _return->_length, 1, 0, _type);
                                        flick_mach3mig_array_decode_end_chunk(4);
                                        flick_mach3mig_check_span(12 - 12 + 8 + 4 * _return->_length * 1, _flick_abort74);
                                        flick_mach3mig_array_decode_new_chunk(4 * _return->_length);
                                        {
                                          CORBA_long *_t_alloc_ptr;

                                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                          if (!_t_alloc_ptr)
                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort74);
                                          _return->_buffer = _t_alloc_ptr;
                                          _return->_maximum = 10;
                                          _return->_release = 1;
                                        }
                                        flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * _return->_length);
                                        {
                                          vec10 *_t_alloc_ptr;

                                          _t_alloc_ptr = (vec10 *)(CORBA_flick_alloc(sizeof(vec10 )));
                                          if (!_t_alloc_ptr)
                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort77);
                                          *ov = _t_alloc_ptr;
                                        }
                                        if ((*ov)->_length > 10)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort78);
                                        flick_mach3mig_array_decode_new_chunk(4);
                                        flick_mach3mig_array_decode_signed32_type(0, (*ov)->_length, 1, 0, _type);
                                        flick_mach3mig_array_decode_end_chunk(4);
                                        flick_mach3mig_check_span(12 - 12 + 4 + 4 * (*ov)->_length * 1, _flick_abort78);
                                        flick_mach3mig_array_decode_new_chunk(4 * (*ov)->_length);
                                        {
                                          CORBA_long *_t_alloc_ptr;

                                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                          if (!_t_alloc_ptr)
                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
                                          (*ov)->_buffer = _t_alloc_ptr;
                                          (*ov)->_maximum = 10;
                                          (*ov)->_release = 1;
                                        }
                                        flick_mach3mig_array_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * (*ov)->_length);
                                        if (iov->_length > 10)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort81);
                                        flick_mach3mig_array_decode_new_chunk(4);
                                        flick_mach3mig_array_decode_signed32_type(0, iov->_length, 1, 0, _type);
                                        flick_mach3mig_array_decode_end_chunk(4);
                                        flick_mach3mig_check_span(4 * iov->_length * 1, _flick_abort81);
                                        flick_mach3mig_array_decode_new_chunk(4 * iov->_length);
                                        {
                                          CORBA_long *_t_alloc_ptr;

                                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                          if (!_t_alloc_ptr)
                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
                                          iov->_buffer = _t_alloc_ptr;
                                          iov->_maximum = 10;
                                          iov->_release = 1;
                                        }
                                        flick_mach3mig_array_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * iov->_length);
                                        flick_mach3mig_decode_end_glob(180);
                                        break;
                                        {
                                        _flick_abort81:
                                          CORBA_flick_free((*ov)->_buffer);
                                        _flick_abort78:
                                          CORBA_flick_free(*ov);
                                        _flick_abort77:
                                          CORBA_flick_free(_return->_buffer);
                                        _flick_abort74:
                                          CORBA_flick_free(_return);
                                        _flick_abort73:
                                          goto _flick_abort52;
                                        }
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_mach3mig_decode_end_glob(180);
                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig, _flick_abort85);
                                        break;
                                        {
                                        _flick_abort85:
                                          goto _flick_abort52;
                                        }
                                      }
                                    default:
                                      {
                                        unsigned int _t108_switch_tag;

                                        flick_mach3mig_check_span(120, _flick_abort86);
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_unsigned32(0, _t108_switch_tag, unsigned int );
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((unsigned int )_t108_switch_tag)
                                          {
                                          case (unsigned int) 13:
                                            {
                                              char _t109_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t109_switch_tag, char );
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t109_switch_tag)
                                                {
                                                case 'I':
                                                  {
                                                    char _t110_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t110_switch_tag, char );
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t110_switch_tag)
                                                      {
                                                      case 'D':
                                                        {
                                                          char _t111_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t111_switch_tag, char );
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t111_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t112_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t112_switch_tag, char );
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t112_switch_tag)
                                                                  {
                                                                  case ':':
                                                                    {
                                                                      char _t113_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t113_switch_tag, char );
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t113_switch_tag)
                                                                        {
                                                                        case 'p':
                                                                          {
                                                                            char _t114_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t114_switch_tag, char );
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch ((char )_t114_switch_tag)
                                                                              {
                                                                              case 'u':
                                                                                {
                                                                                  char _t115_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t115_switch_tag, char );
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch ((char )_t115_switch_tag)
                                                                                    {
                                                                                    case 'k':
                                                                                      {
                                                                                        char _t116_switch_tag;

                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_char8(0, _t116_switch_tag, char );
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch ((char )_t116_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t117_switch_tag;

                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, _t117_switch_tag, char );
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              switch ((char )_t117_switch_tag)
                                                                                                {
                                                                                                case ':':
                                                                                                  {
                                                                                                    char _t118_switch_tag;

                                                                                                    flick_mach3mig_decode_new_chunk(8);
                                                                                                    flick_mach3mig_decode_char8(0, _t118_switch_tag, char );
                                                                                                    flick_mach3mig_decode_end_chunk(8);
                                                                                                    switch ((char )_t118_switch_tag)
                                                                                                      {
                                                                                                      case '1':
                                                                                                        {
                                                                                                          char _t119_switch_tag;

                                                                                                          flick_mach3mig_decode_new_chunk(8);
                                                                                                          flick_mach3mig_decode_char8(0, _t119_switch_tag, char );
                                                                                                          flick_mach3mig_decode_end_chunk(8);
                                                                                                          switch ((char )_t119_switch_tag)
                                                                                                            {
                                                                                                            case '.':
                                                                                                              {
                                                                                                                char _t120_switch_tag;

                                                                                                                flick_mach3mig_decode_new_chunk(8);
                                                                                                                flick_mach3mig_decode_char8(0, _t120_switch_tag, char );
                                                                                                                flick_mach3mig_decode_end_chunk(8);
                                                                                                                switch ((char )_t120_switch_tag)
                                                                                                                  {
                                                                                                                  case '0':
                                                                                                                    {
                                                                                                                      char _t121_switch_tag;

                                                                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                                                                      flick_mach3mig_decode_char8(0, _t121_switch_tag, char );
                                                                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                                                                      switch ((char )_t121_switch_tag)
                                                                                                                        {
                                                                                                                        case 0:
                                                                                                                          {
                                                                                                                            _ev->_id = "IDL:puke:1.0";
                                                                                                                            {
                                                                                                                              puke *_t_alloc_ptr;

                                                                                                                              _t_alloc_ptr = (puke *)(CORBA_flick_alloc(sizeof(puke )));
                                                                                                                              if (!_t_alloc_ptr)
                                                                                                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort90);
                                                                                                                              _ev->_value._user_except = _t_alloc_ptr;
                                                                                                                            }
                                                                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                                                                            flick_mach3mig_decode_signed32(0, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                                                                            break;
                                                                                                                            {
                                                                                                                            _flick_abort90:
                                                                                                                              goto _flick_abort86;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort86);
                                              break;
                                            }
                                          }
                                        flick_mach3mig_decode_end_glob(180);
                                        break;
                                        {
                                        _flick_abort86:
                                          goto _flick_abort52;
                                        }
                                      }
                                    }
                                  break;
                                  {
                                  _flick_abort52:
                                    goto _flick_abort1;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
                                  flick_mach3mig_decode_end_glob(180);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
                            flick_mach3mig_decode_end_glob(180);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
                      flick_mach3mig_decode_end_glob(180);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
                flick_mach3mig_decode_end_glob(180);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_COLLAPSED_UNION, _flick_abort1);
          flick_mach3mig_decode_end_glob(180);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_corba_client_error(mach3mig, mig, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

