#include "ez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_a[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_a;
	s.vers_num = _VERS_a;

	reg_success = flick_server_register(s, &a_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t14_switch_tag;

    flick_suntcp_decode_new_glob(44);
    flick_suntcp_check_span(36, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t14_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t15_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t15_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t15_switch_tag)
            {
            case 'o':
              {
                char _t16_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t16_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t16_switch_tag)
                  {
                  case 'p':
                    {
                      char _t17_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t17_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t17_switch_tag)
                        {
                        case 0:
                          {
                            {
                              a _obj;
                              unsigned int _t18_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t19_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort28);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t18_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t18_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t18_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t18_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t19_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(44);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = a_op(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort28);
                                flick_suntcp_encode_new_glob(8, _flick_abort28);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort34);
                                      break;
                                      {
                                      _flick_abort34:
                                        goto _flick_abort28;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort35:
                                        goto _flick_abort28;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort28:
                                goto _flick_abort27;
                              }
                            }
                            break;
                            {
                            _flick_abort27:
                              goto _flick_abort4;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t20_switch_tag;

          flick_suntcp_check_span(40, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t20_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t20_switch_tag)
            {
            case 'i':
              {
                char _t21_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t21_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t21_switch_tag)
                  {
                  case 's':
                    {
                      char _t22_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t22_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t22_switch_tag)
                        {
                        case '_':
                          {
                            char _t23_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t23_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t23_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t24_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t24_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t24_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t25_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t26_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t27_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort37);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t25_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t25_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t25_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t25_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t26_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(44);
                                          flick_suntcp_decode_new_glob(1 * _t26_temp_string_len);
                                          flick_suntcp_check_span(1 * _t26_temp_string_len * 1, _flick_abort37);
                                          flick_suntcp_decode_new_chunk(1 * _t26_temp_string_len);
                                          if ((_t26_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t26_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t26_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t26_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t26_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort40);
                                          _local_id[_t26_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t27_storage);
                                          _par = flick_interface_parents_a;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort40);
                                            flick_suntcp_encode_new_glob(8, _flick_abort40);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort46);
                                                  break;
                                                  {
                                                  _flick_abort46:
                                                    goto _flick_abort40;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort47:
                                                    goto _flick_abort40;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort40:
                                            auto_flick_free(_local_id);
                                          _flick_abort37:
                                            goto _flick_abort36;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort36:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(44);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(44);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

