#include "oneway-server.h"

/* This is the runtime type information */
char *flick_interface_parents_onewaytest[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_onewaytest;
	s.vers_num = _VERS_onewaytest;

	reg_success = flick_server_register(s, &onewaytest_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t109_switch_tag;

    flick_suntcp_decode_new_glob(76);
    flick_suntcp_check_span(44, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t109_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t109_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t110_switch_tag;

          flick_suntcp_check_span(60, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t110_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t110_switch_tag)
            {
            case 's':
              {
                char _t111_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t111_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t111_switch_tag)
                  {
                  case 'h':
                    {
                      char _t112_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t112_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t112_switch_tag)
                        {
                        case 'o':
                          {
                            char _t113_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t113_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t113_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t114_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t114_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t114_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t115_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t115_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t115_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t116_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t116_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t116_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t117_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t117_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t117_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t118_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t118_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t118_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t119_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t119_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t119_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        onewaytest _obj;
                                                                        unsigned int _t120_ignore;
                                                                        CORBA_short _return;
                                                                        CORBA_long *_local_x;
                                                                        CORBA_long _t121_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t122_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort86);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t120_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t120_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t120_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t120_ignore, unsigned int );
                                                                        _return = 0;
                                                                        _local_x = (CORBA_long *)(&_t121_storage);
                                                                        flick_xdr_decode_signed32(16, *_local_x, CORBA_long );
                                                                        _ev = (CORBA_Environment *)(&_t122_storage);
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        flick_suntcp_decode_end_glob(76);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = onewaytest_shortlong(_obj, _local_x, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort86);
                                                                          flick_suntcp_encode_new_glob(12, _flick_abort86);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                                flick_xdr_encode_signed32(4, *_local_x, CORBA_long );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                flick_suntcp_encode_end_glob(12);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(12);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort92);
                                                                                break;
                                                                                {
                                                                                _flick_abort92:
                                                                                  goto _flick_abort86;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                                                                                flick_suntcp_encode_end_glob(12);
                                                                                break;
                                                                                {
                                                                                _flick_abort93:
                                                                                  goto _flick_abort86;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort86:
                                                                          goto _flick_abort85;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort85:
                                                                        goto _flick_abort4;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(76);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t123_switch_tag;

          flick_suntcp_check_span(56, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t123_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t123_switch_tag)
            {
            case 'v':
              {
                char _t124_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t124_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t124_switch_tag)
                  {
                  case 'o':
                    {
                      char _t125_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t125_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t125_switch_tag)
                        {
                        case 'i':
                          {
                            char _t126_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t126_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t126_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t127_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t127_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t127_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t128_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t128_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t128_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t129_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t129_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t129_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t130_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t130_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t130_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t131_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t131_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t131_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  onewaytest _obj;
                                                                  unsigned int _t132_ignore;
                                                                  CORBA_long _local_x;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t133_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort95);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t132_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t132_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t132_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t132_ignore, unsigned int );
                                                                  flick_xdr_decode_signed32(16, _local_x, CORBA_long );
                                                                  _ev = (CORBA_Environment *)(&_t133_storage);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(76);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  onewaytest_voidlong(_obj, _local_x, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort95);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort95);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort101);
                                                                          break;
                                                                          {
                                                                          _flick_abort101:
                                                                            goto _flick_abort95;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort102:
                                                                            goto _flick_abort95;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort95:
                                                                    goto _flick_abort94;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort94:
                                                                  goto _flick_abort4;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(76);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t134_switch_tag;

          flick_suntcp_check_span(60, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t134_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t134_switch_tag)
            {
            case 'o':
              {
                char _t135_switch_tag;

                flick_suntcp_check_span(60, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t135_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t135_switch_tag)
                  {
                  case 'n':
                    {
                      char _t136_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t136_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t136_switch_tag)
                        {
                        case 'e':
                          {
                            char _t137_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t137_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t137_switch_tag)
                              {
                              case 'w':
                                {
                                  char _t138_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t138_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t138_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t139_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t139_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t139_switch_tag)
                                          {
                                          case 'y':
                                            {
                                              char _t140_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t140_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t140_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t141_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t141_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t141_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t142_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t142_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t142_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t143_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t143_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t143_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t144_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t144_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t144_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              unsigned int _t145_ignore;
                                                                              CORBA_long _local_x;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t146_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort104);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t145_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t145_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t145_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t145_ignore, unsigned int );
                                                                              flick_xdr_decode_signed32(16, _local_x, CORBA_long );
                                                                              _ev = (CORBA_Environment *)(&_t146_storage);
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(76);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              onewaytest_onewaylong(_obj, _local_x, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                                                                              break;
                                                                              {
                                                                              _flick_abort104:
                                                                                goto _flick_abort103;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort103:
                                                                              goto _flick_abort4;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                            flick_suntcp_decode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t147_switch_tag;

                flick_suntcp_check_span(60, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t147_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t147_switch_tag)
                  {
                  case 'o':
                    {
                      char _t148_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t148_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t148_switch_tag)
                        {
                        case 'n':
                          {
                            char _t149_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t149_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t149_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t150_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t150_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t150_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t151_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t151_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t151_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t152_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t152_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t152_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t153_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t153_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t153_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t154_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t154_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t154_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t155_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t155_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t155_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t156_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t156_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t156_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              unsigned int _t157_ignore;
                                                                              CORBA_long _return;
                                                                              CORBA_char **_local_x;
                                                                              CORBA_char *_t158_storage;
                                                                              flick_unsigned32_t _t159_temp_string_len;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t160_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort106);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t157_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t157_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t157_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t157_ignore, unsigned int );
                                                                              _return = 0;
                                                                              _local_x = (CORBA_char **)(&_t158_storage);
                                                                              flick_xdr_decode_unsigned32(16, _t159_temp_string_len, flick_unsigned32_t );
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(76);
                                                                              flick_suntcp_decode_new_glob(1 * _t159_temp_string_len);
                                                                              flick_suntcp_check_span(1 * _t159_temp_string_len * 1, _flick_abort106);
                                                                              flick_suntcp_decode_new_chunk(1 * _t159_temp_string_len);
                                                                              {
                                                                                CORBA_char *_t_alloc_ptr;

                                                                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t159_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                                if (!_t_alloc_ptr)
                                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort106);
                                                                                *_local_x = _t_alloc_ptr;
                                                                              }
                                                                              flick_xdr_decode_bcopy(0, *_local_x, 1 * _t159_temp_string_len);
                                                                              flick_suntcp_decode_end_chunk(1 * _t159_temp_string_len);
                                                                              flick_suntcp_decode_end_glob(1 * _t159_temp_string_len);
                                                                              flick_suntcp_decode_new_glob(3);
                                                                              flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                              flick_suntcp_check_span(0, _flick_abort109);
                                                                              (*_local_x)[_t159_temp_string_len] = 0;
                                                                              _ev = (CORBA_Environment *)(&_t160_storage);
                                                                              flick_suntcp_decode_end_chunk(0);
                                                                              flick_suntcp_decode_end_glob(3);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              _return = onewaytest_longstring(_obj, _local_x, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort109);
                                                                                flick_suntcp_encode_new_glob(12, _flick_abort109);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
                                                                                      flick_unsigned32_t _t162_temp_string_len;

                                                                                      flick_xdr_stringlen(CORBA_char *, *_local_x, flick_unsigned32_t , _t162_temp_string_len);

                                                                                      flick_suntcp_encode_new_chunk(8);
                                                                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                      flick_xdr_encode_unsigned32(4, _t162_temp_string_len, flick_unsigned32_t );
                                                                                      flick_suntcp_encode_end_chunk(8);
                                                                                      flick_suntcp_encode_end_glob(12);
                                                                                      flick_suntcp_encode_new_glob(1 * _t162_temp_string_len, _flick_abort116);
                                                                                      flick_suntcp_encode_new_chunk(1 * _t162_temp_string_len);
                                                                                      flick_xdr_encode_bcopy(0, *_local_x, 1 * _t162_temp_string_len);
                                                                                      CORBA_flick_free(*_local_x);
                                                                                      *_local_x = 0;
                                                                                      flick_suntcp_encode_end_chunk(1 * _t162_temp_string_len);
                                                                                      flick_suntcp_encode_end_glob(1 * _t162_temp_string_len);
                                                                                      flick_suntcp_encode_new_glob(3, _flick_abort116);
                                                                                      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                      flick_suntcp_encode_end_chunk(0);
                                                                                      flick_suntcp_encode_end_glob(3);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort116:
                                                                                        goto _flick_abort109;
                                                                                      }
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(12);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort119);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort119:
                                                                                        goto _flick_abort109;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                                                                                      flick_suntcp_encode_end_glob(12);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort120:
                                                                                        goto _flick_abort109;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort109:
                                                                                CORBA_flick_free(*_local_x);
                                                                              _flick_abort106:
                                                                                goto _flick_abort105;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort105:
                                                                              goto _flick_abort4;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                            flick_suntcp_decode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t163_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t163_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t163_switch_tag)
                  {
                  case 't':
                    {
                      char _t164_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t164_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t164_switch_tag)
                        {
                        case 'r':
                          {
                            char _t165_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t165_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t165_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t166_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t166_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t166_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t167_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t167_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t167_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t168_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t168_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t168_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t169_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t169_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t169_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t170_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t170_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t170_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t171_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t171_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t171_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t172_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t172_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t172_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              unsigned int _t173_ignore;
                                                                              CORBA_char *_return;
                                                                              CORBA_long *_local_x;
                                                                              CORBA_long _t174_storage;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t175_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort122);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t173_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t173_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t173_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t173_ignore, unsigned int );
                                                                              _return = 0;
                                                                              _local_x = (CORBA_long *)(&_t174_storage);
                                                                              _ev = (CORBA_Environment *)(&_t175_storage);
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(76);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              _return = onewaytest_stringlong(_obj, _local_x, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort122);
                                                                                flick_suntcp_encode_new_glob(8, _flick_abort122);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
                                                                                      flick_unsigned32_t _t177_temp_string_len;

                                                                                      flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t177_temp_string_len);

                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_unsigned32(0, _t177_temp_string_len, flick_unsigned32_t );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      flick_suntcp_encode_new_glob(1 * _t177_temp_string_len, _flick_abort129);
                                                                                      flick_suntcp_encode_new_chunk(1 * _t177_temp_string_len);
                                                                                      flick_xdr_encode_bcopy(0, _return, 1 * _t177_temp_string_len);
                                                                                      CORBA_flick_free(_return);
                                                                                      _return = 0;
                                                                                      flick_suntcp_encode_end_chunk(1 * _t177_temp_string_len);
                                                                                      flick_suntcp_encode_end_glob(1 * _t177_temp_string_len);
                                                                                      flick_suntcp_encode_new_glob(7, _flick_abort129);
                                                                                      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                      flick_xdr_encode_signed32(0, *_local_x, CORBA_long );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(7);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort129:
                                                                                        goto _flick_abort122;
                                                                                      }
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort132);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort132:
                                                                                        goto _flick_abort122;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort133:
                                                                                        goto _flick_abort122;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort122:
                                                                                goto _flick_abort121;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort121:
                                                                              goto _flick_abort4;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                            flick_suntcp_decode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(76);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t178_switch_tag;

          flick_suntcp_check_span(68, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t178_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t178_switch_tag)
            {
            case 'o':
              {
                char _t179_switch_tag;

                flick_suntcp_check_span(68, _flick_abort4);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t179_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t179_switch_tag)
                  {
                  case 'n':
                    {
                      char _t180_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t180_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t180_switch_tag)
                        {
                        case 'e':
                          {
                            char _t181_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t181_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t181_switch_tag)
                              {
                              case 'w':
                                {
                                  char _t182_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t182_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t182_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t183_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t183_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t183_switch_tag)
                                          {
                                          case 'y':
                                            {
                                              char _t184_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t184_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t184_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t185_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t185_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t185_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t186_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t186_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t186_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t187_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t187_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t187_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t188_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t188_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t188_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t189_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t189_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t189_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t190_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t190_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t190_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          onewaytest _obj;
                                                                                          unsigned int _t191_ignore;
                                                                                          CORBA_char *_local_x;
                                                                                          flick_unsigned32_t _t192_temp_string_len;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_Environment _t193_storage;

                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort135);
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                          flick_xdr_decode_unsigned32(0, _t191_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(4, _t191_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(8, _t191_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(12, _t191_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(16, _t192_temp_string_len, flick_unsigned32_t );
                                                                                          flick_suntcp_decode_end_chunk(20);
                                                                                          flick_suntcp_decode_end_glob(76);
                                                                                          flick_suntcp_decode_new_glob(1 * _t192_temp_string_len);
                                                                                          flick_suntcp_check_span(1 * _t192_temp_string_len * 1, _flick_abort135);
                                                                                          flick_suntcp_decode_new_chunk(1 * _t192_temp_string_len);
                                                                                          if ((_t192_temp_string_len + 3) & ~3)
                                                                                            {
                                                                                              flick_xdr_decode_msgptr(0, _local_x, CORBA_char *);
                                                                                            }
                                                                                          else
                                                                                            {
                                                                                              {
                                                                                                CORBA_char *_t_alloc_ptr;

                                                                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t192_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                                                if (!_t_alloc_ptr)
                                                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                                                                                                _local_x = _t_alloc_ptr;
                                                                                              }
                                                                                              flick_xdr_decode_bcopy(0, _local_x, 1 * _t192_temp_string_len);
                                                                                            }
                                                                                          flick_suntcp_decode_end_chunk(1 * _t192_temp_string_len);
                                                                                          flick_suntcp_decode_end_glob(1 * _t192_temp_string_len);
                                                                                          flick_suntcp_decode_new_glob(3);
                                                                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                                          flick_suntcp_check_span(0, _flick_abort138);
                                                                                          _local_x[_t192_temp_string_len] = 0;
                                                                                          _ev = (CORBA_Environment *)(&_t193_storage);
                                                                                          flick_suntcp_decode_end_chunk(0);
                                                                                          flick_suntcp_decode_end_glob(3);
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                          onewaytest_onewaystring(_obj, _local_x, _ev);
                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                          return FLICK_OPERATION_SUCCESS_NOREPLY;
                                                                                          break;
                                                                                          {
                                                                                          _flick_abort138:
                                                                                            auto_flick_free(_local_x);
                                                                                          _flick_abort135:
                                                                                            goto _flick_abort134;
                                                                                          }
                                                                                        }
                                                                                        break;
                                                                                        {
                                                                                        _flick_abort134:
                                                                                          goto _flick_abort4;
                                                                                        }
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                                        flick_suntcp_decode_end_glob(76);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                                  flick_suntcp_decode_end_glob(76);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                            flick_suntcp_decode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t194_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t194_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t194_switch_tag)
                  {
                  case 't':
                    {
                      char _t195_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t195_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t195_switch_tag)
                        {
                        case 'r':
                          {
                            char _t196_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t196_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t196_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t197_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t197_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t197_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t198_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t198_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t198_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t199_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t199_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t199_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t200_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t200_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t200_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t201_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t201_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t201_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t202_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t202_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t202_switch_tag)
                                                                  {
                                                                  case 'u':
                                                                    {
                                                                      char _t203_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t203_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t203_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t204_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t204_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t204_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t205_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t205_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t205_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          onewaytest _obj;
                                                                                          unsigned int _t206_ignore;
                                                                                          CORBA_char *_return;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_Environment _t207_storage;

                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort140);
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                          flick_xdr_decode_unsigned32(0, _t206_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(4, _t206_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(8, _t206_ignore, unsigned int );
                                                                                          flick_xdr_decode_unsigned32(12, _t206_ignore, unsigned int );
                                                                                          _return = 0;
                                                                                          _ev = (CORBA_Environment *)(&_t207_storage);
                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                          flick_suntcp_decode_end_glob(76);
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                          _return = onewaytest_stringreturn(_obj, _ev);
                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort140);
                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort140);
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            switch (_ev->_major)
                                                                                              {
                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                {
                                                                                                  flick_unsigned32_t _t209_temp_string_len;

                                                                                                  flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t209_temp_string_len);

                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                  flick_xdr_encode_unsigned32(0, _t209_temp_string_len, flick_unsigned32_t );
                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                  flick_suntcp_encode_new_glob(1 * _t209_temp_string_len, _flick_abort147);
                                                                                                  flick_suntcp_encode_new_chunk(1 * _t209_temp_string_len);
                                                                                                  flick_xdr_encode_bcopy(0, _return, 1 * _t209_temp_string_len);
                                                                                                  CORBA_flick_free(_return);
                                                                                                  _return = 0;
                                                                                                  flick_suntcp_encode_end_chunk(1 * _t209_temp_string_len);
                                                                                                  flick_suntcp_encode_end_glob(1 * _t209_temp_string_len);
                                                                                                  flick_suntcp_encode_new_glob(3, _flick_abort147);
                                                                                                  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                  flick_suntcp_encode_end_chunk(0);
                                                                                                  flick_suntcp_encode_end_glob(3);
                                                                                                  break;
                                                                                                  {
                                                                                                  _flick_abort147:
                                                                                                    goto _flick_abort140;
                                                                                                  }
                                                                                                }
                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                {
                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort150);
                                                                                                  break;
                                                                                                  {
                                                                                                  _flick_abort150:
                                                                                                    goto _flick_abort140;
                                                                                                  }
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                  break;
                                                                                                  {
                                                                                                  _flick_abort151:
                                                                                                    goto _flick_abort140;
                                                                                                  }
                                                                                                }
                                                                                              }
                                                                                          }
                                                                                          flick_suntcp_server_end_encode();
                                                                                          break;
                                                                                          {
                                                                                          _flick_abort140:
                                                                                            goto _flick_abort139;
                                                                                          }
                                                                                        }
                                                                                        break;
                                                                                        {
                                                                                        _flick_abort139:
                                                                                          goto _flick_abort4;
                                                                                        }
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                                        flick_suntcp_decode_end_glob(76);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                                  flick_suntcp_decode_end_glob(76);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                            flick_suntcp_decode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                      flick_suntcp_decode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                                flick_suntcp_decode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(76);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t210_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t210_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t210_switch_tag)
            {
            case 'i':
              {
                char _t211_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t211_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t211_switch_tag)
                  {
                  case 's':
                    {
                      char _t212_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t212_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t212_switch_tag)
                        {
                        case '_':
                          {
                            char _t213_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t213_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t213_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t214_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t214_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t214_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t215_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t216_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t217_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort153);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t215_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t215_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t215_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t215_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t216_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(76);
                                          flick_suntcp_decode_new_glob(1 * _t216_temp_string_len);
                                          flick_suntcp_check_span(1 * _t216_temp_string_len * 1, _flick_abort153);
                                          flick_suntcp_decode_new_chunk(1 * _t216_temp_string_len);
                                          if ((_t216_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t216_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort153);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t216_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t216_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t216_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort156);
                                          _local_id[_t216_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t217_storage);
                                          _par = flick_interface_parents_onewaytest;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort156);
                                            flick_suntcp_encode_new_glob(8, _flick_abort156);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort162);
                                                  break;
                                                  {
                                                  _flick_abort162:
                                                    goto _flick_abort156;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort163:
                                                    goto _flick_abort156;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort156:
                                            auto_flick_free(_local_id);
                                          _flick_abort153:
                                            goto _flick_abort152;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort152:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(76);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(76);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(76);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(76);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

