#include "structplain_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_geom[] = {
	0
};

/* */

int flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->row, CORBA_short );
  flick_xdr_encode_signed16(4, _data->col, CORBA_short );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->row, CORBA_short );
  flick_xdr_decode_signed16(4, _data->col, CORBA_short );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA_short geom_dist(geom _obj, struct coord *a, struct coord *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort5);
  }
  {
    flick_suntcp_encode_new_glob(56, _flick_abort5);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'd', flick_char8_t );
    flick_xdr_encode_char8(8, 'i', flick_char8_t );
    flick_xdr_encode_char8(12, 's', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(32, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(40, a->row, CORBA_short );
    flick_xdr_encode_signed16(44, a->col, CORBA_short );
    flick_xdr_encode_signed16(48, b->row, CORBA_short );
    flick_xdr_encode_signed16(52, b->col, CORBA_short );
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort5);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort5);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort5);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort11);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return, CORBA_short );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort11:
              goto _flick_abort5;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort5;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort13);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort13:
              goto _flick_abort5;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort5:
    flick_corba_client_error(xdr, sun, _flick_abort4);
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

