#include "sunstat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROGNAME;
	s.vers_num = VERSNAME;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort5);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort6);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort7);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort9);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort10);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data, int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort11);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data, int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data, my_uid_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort13);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data, my_uid_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort14);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data, int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort15);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data, int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort16);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data, int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort17);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data, int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort18);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec, int );
  flick_xdr_encode_signed32(4, _data->tv_nsec, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort19);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec, int );
  flick_xdr_decode_signed32(4, _data->tv_nsec, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort20);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec, int );
  flick_xdr_encode_signed32(4, _data->tv_nsec, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort21);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec, int );
  flick_xdr_decode_signed32(4, _data->tv_nsec, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  flick_unsigned32_t _t2_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(184, _flick_abort22);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->st_pad1, 12);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino, my_ulong_t );
  flick_xdr_encode_unsigned32(4, _data->st_mode, my_ulong_t );
  flick_xdr_encode_unsigned32(8, _data->st_nlink, my_ulong_t );
  flick_xdr_encode_signed32(12, _data->st_uid, int );
  flick_xdr_encode_signed32(16, _data->st_gid, my_uid_t );
  flick_xdr_encode_unsigned32(20, _data->st_rdev, my_ulong_t );
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t1_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->st_pad2, 8);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size, int );
  flick_xdr_encode_signed32(4, _data->st_pad3, int );
  flick_xdr_encode_signed32(8, _data->st_atime.tv_sec, int );
  flick_xdr_encode_signed32(12, _data->st_atime.tv_nsec, int );
  flick_xdr_encode_signed32(16, _data->st_mtime.tv_sec, int );
  flick_xdr_encode_signed32(20, _data->st_mtime.tv_nsec, int );
  flick_xdr_encode_signed32(24, _data->st_ctime.tv_sec, int );
  flick_xdr_encode_signed32(28, _data->st_ctime.tv_nsec, int );
  flick_xdr_encode_signed32(32, _data->st_blksize, int );
  flick_xdr_encode_signed32(36, _data->st_blocks, int );
  flick_suntcp_encode_end_chunk(40);
  for (_t2_array_iter = 0; _t2_array_iter < 16; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_char8(0, _data->st_fstype[_t2_array_iter], char );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 8; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t3_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->st_pad4, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(184);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t4_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  flick_unsigned32_t _t6_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t7_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(184);
  flick_suntcp_check_span(8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120))), _flick_abort49);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 3; _t4_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t4_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->st_pad1, 12);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino, my_ulong_t );
  flick_xdr_decode_unsigned32(4, _data->st_mode, my_ulong_t );
  flick_xdr_decode_unsigned32(8, _data->st_nlink, my_ulong_t );
  flick_xdr_decode_signed32(12, _data->st_uid, int );
  flick_xdr_decode_signed32(16, _data->st_gid, my_uid_t );
  flick_xdr_decode_unsigned32(20, _data->st_rdev, my_ulong_t );
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 2; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t5_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->st_pad2, 8);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size, int );
  flick_xdr_decode_signed32(4, _data->st_pad3, int );
  flick_xdr_decode_signed32(8, _data->st_atime.tv_sec, int );
  flick_xdr_decode_signed32(12, _data->st_atime.tv_nsec, int );
  flick_xdr_decode_signed32(16, _data->st_mtime.tv_sec, int );
  flick_xdr_decode_signed32(20, _data->st_mtime.tv_nsec, int );
  flick_xdr_decode_signed32(24, _data->st_ctime.tv_sec, int );
  flick_xdr_decode_signed32(28, _data->st_ctime.tv_nsec, int );
  flick_xdr_decode_signed32(32, _data->st_blksize, int );
  flick_xdr_decode_signed32(36, _data->st_blocks, int );
  flick_suntcp_decode_end_chunk(40);
  for (_t6_array_iter = 0; _t6_array_iter < 16; _t6_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_char8(0, _data->st_fstype[_t6_array_iter], char );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < 8; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t7_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->st_pad4, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(184);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned32_t _t8_temp_string_len;
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t9_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t10_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  flick_unsigned32_t _t11_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t12_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  flick_xdr_stringlen(char *, _data->filename, flick_unsigned32_t , _t8_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(446, _flick_abort76);
  flick_suntcp_encode_new_chunk(4 + 1 * _t8_temp_string_len);
  flick_xdr_encode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
  if (_t8_temp_string_len + 1 > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort76);
  flick_xdr_encode_bcopy(4, _data->filename, 1 * _t8_temp_string_len);
  flick_suntcp_encode_end_chunk(4 + 1 * _t8_temp_string_len);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < 3; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t9_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->info.st_pad1, 12);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino, my_ulong_t );
  flick_xdr_encode_unsigned32(4, _data->info.st_mode, my_ulong_t );
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink, my_ulong_t );
  flick_xdr_encode_signed32(12, _data->info.st_uid, int );
  flick_xdr_encode_signed32(16, _data->info.st_gid, my_uid_t );
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev, my_ulong_t );
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t10_array_iter = 0; _t10_array_iter < 2; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t10_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->info.st_pad2, 8);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size, int );
  flick_xdr_encode_signed32(4, _data->info.st_pad3, int );
  flick_xdr_encode_signed32(8, _data->info.st_atime.tv_sec, int );
  flick_xdr_encode_signed32(12, _data->info.st_atime.tv_nsec, int );
  flick_xdr_encode_signed32(16, _data->info.st_mtime.tv_sec, int );
  flick_xdr_encode_signed32(20, _data->info.st_mtime.tv_nsec, int );
  flick_xdr_encode_signed32(24, _data->info.st_ctime.tv_sec, int );
  flick_xdr_encode_signed32(28, _data->info.st_ctime.tv_nsec, int );
  flick_xdr_encode_signed32(32, _data->info.st_blksize, int );
  flick_xdr_encode_signed32(36, _data->info.st_blocks, int );
  flick_suntcp_encode_end_chunk(40);
  for (_t11_array_iter = 0; _t11_array_iter < 16; _t11_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_char8(0, _data->info.st_fstype[_t11_array_iter], char );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 8; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t12_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->info.st_pad4, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(446);
  return 0;
  {
  _flick_abort76:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned32_t _t13_temp_string_len;
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t14_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t15_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  flick_unsigned32_t _t16_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t17_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(446);
  flick_suntcp_check_span(8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120))), _flick_abort105);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
  if (_t13_temp_string_len + 1 > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort105);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_check_span(8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120))) - 120 + 116 + 1 * _t13_temp_string_len * 1, _flick_abort105);
  flick_suntcp_decode_new_chunk(1 * _t13_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc((_t13_temp_string_len + 1) * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort105);
    _data->filename = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->filename, 1 * _t13_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t13_temp_string_len);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_suntcp_check_span(4, _flick_abort108);
  _data->filename[_t13_temp_string_len] = 0;
  flick_xdr_decode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < 3; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t14_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->info.st_pad1, 12);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino, my_ulong_t );
  flick_xdr_decode_unsigned32(4, _data->info.st_mode, my_ulong_t );
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink, my_ulong_t );
  flick_xdr_decode_signed32(12, _data->info.st_uid, int );
  flick_xdr_decode_signed32(16, _data->info.st_gid, my_uid_t );
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev, my_ulong_t );
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 2; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t15_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->info.st_pad2, 8);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size, int );
  flick_xdr_decode_signed32(4, _data->info.st_pad3, int );
  flick_xdr_decode_signed32(8, _data->info.st_atime.tv_sec, int );
  flick_xdr_decode_signed32(12, _data->info.st_atime.tv_nsec, int );
  flick_xdr_decode_signed32(16, _data->info.st_mtime.tv_sec, int );
  flick_xdr_decode_signed32(20, _data->info.st_mtime.tv_nsec, int );
  flick_xdr_decode_signed32(24, _data->info.st_ctime.tv_sec, int );
  flick_xdr_decode_signed32(28, _data->info.st_ctime.tv_nsec, int );
  flick_xdr_decode_signed32(32, _data->info.st_blksize, int );
  flick_xdr_decode_signed32(36, _data->info.st_blocks, int );
  flick_suntcp_decode_end_chunk(40);
  for (_t16_array_iter = 0; _t16_array_iter < 16; _t16_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_char8(0, _data->info.st_fstype[_t16_array_iter], char );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < 8; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t17_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->info.st_pad4, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(446);
  return 0;
  {
  _flick_abort108:
    sun_flick_free(_data->filename);
  _flick_abort105:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort135);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a, int );
  flick_xdr_encode_signed32(4, _data->b, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort135:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort136);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a, int );
  flick_xdr_decode_signed32(4, _data->b, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort136:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(16, _flick_abort137);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a, int );
  flick_xdr_encode_signed32(4, _data->a.b, int );
  flick_xdr_encode_signed32(8, _data->b.a, int );
  flick_xdr_encode_signed32(12, _data->b.b, int );
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  return 0;
  {
  _flick_abort137:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_check_span(16, _flick_abort138);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a, int );
  flick_xdr_decode_signed32(4, _data->a.b, int );
  flick_xdr_decode_signed32(8, _data->b.a, int );
  flick_xdr_decode_signed32(12, _data->b.b, int );
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  return 0;
  {
  _flick_abort138:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned int _t33_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort139);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->directory_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t33_array_iter = 0; _t33_array_iter < _data->directory_len; _t33_array_iter++)
    {
      flick_unsigned32_t _t39_temp_string_len;
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned32_t _t40_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned32_t _t41_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
      flick_unsigned32_t _t42_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned32_t _t43_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

      flick_xdr_stringlen(char *, _data->directory_val[_t33_array_iter].filename, flick_unsigned32_t , _t39_temp_string_len);

      flick_suntcp_encode_new_glob(446, _flick_abort227);
      flick_suntcp_encode_new_chunk(4 + 1 * _t39_temp_string_len);
      flick_xdr_encode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
      if (_t39_temp_string_len + 1 > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort227);
      flick_xdr_encode_bcopy(4, _data->directory_val[_t33_array_iter].filename, 1 * _t39_temp_string_len);
      flick_suntcp_encode_end_chunk(4 + 1 * _t39_temp_string_len);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t33_array_iter].info.st_dev, my_ulong_t );
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t40_array_iter = 0; _t40_array_iter < 3; _t40_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t33_array_iter].info.st_pad1[_t40_array_iter], int );
          flick_suntcp_encode_end_chunk(4);
          continue;
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(12);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t33_array_iter].info.st_pad1, 12);
      flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t33_array_iter].info.st_ino, my_ulong_t );
      flick_xdr_encode_unsigned32(4, _data->directory_val[_t33_array_iter].info.st_mode, my_ulong_t );
      flick_xdr_encode_unsigned32(8, _data->directory_val[_t33_array_iter].info.st_nlink, my_ulong_t );
      flick_xdr_encode_signed32(12, _data->directory_val[_t33_array_iter].info.st_uid, int );
      flick_xdr_encode_signed32(16, _data->directory_val[_t33_array_iter].info.st_gid, my_uid_t );
      flick_xdr_encode_unsigned32(20, _data->directory_val[_t33_array_iter].info.st_rdev, my_ulong_t );
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t41_array_iter = 0; _t41_array_iter < 2; _t41_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t33_array_iter].info.st_pad2[_t41_array_iter], int );
          flick_suntcp_encode_end_chunk(4);
          continue;
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t33_array_iter].info.st_pad2, 8);
      flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->directory_val[_t33_array_iter].info.st_size, int );
      flick_xdr_encode_signed32(4, _data->directory_val[_t33_array_iter].info.st_pad3, int );
      flick_xdr_encode_signed32(8, _data->directory_val[_t33_array_iter].info.st_atime.tv_sec, int );
      flick_xdr_encode_signed32(12, _data->directory_val[_t33_array_iter].info.st_atime.tv_nsec, int );
      flick_xdr_encode_signed32(16, _data->directory_val[_t33_array_iter].info.st_mtime.tv_sec, int );
      flick_xdr_encode_signed32(20, _data->directory_val[_t33_array_iter].info.st_mtime.tv_nsec, int );
      flick_xdr_encode_signed32(24, _data->directory_val[_t33_array_iter].info.st_ctime.tv_sec, int );
      flick_xdr_encode_signed32(28, _data->directory_val[_t33_array_iter].info.st_ctime.tv_nsec, int );
      flick_xdr_encode_signed32(32, _data->directory_val[_t33_array_iter].info.st_blksize, int );
      flick_xdr_encode_signed32(36, _data->directory_val[_t33_array_iter].info.st_blocks, int );
      flick_suntcp_encode_end_chunk(40);
      for (_t42_array_iter = 0; _t42_array_iter < 16; _t42_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, _data->directory_val[_t33_array_iter].info.st_fstype[_t42_array_iter], char );
          flick_suntcp_encode_end_chunk(4);
          continue;
        }
#if BYTE_ORDER != BIG_ENDIAN
      for (_t43_array_iter = 0; _t43_array_iter < 8; _t43_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t33_array_iter].info.st_pad4[_t43_array_iter], int );
          flick_suntcp_encode_end_chunk(4);
          continue;
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(32);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t33_array_iter].info.st_pad4, 32);
      flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(446);
      continue;
      {
      _flick_abort287:
        _t33_array_iter--;
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
      _flick_abort227:
        if ((unsigned int )_t33_array_iter < _data->directory_len)
          goto _flick_abort287;
        goto _flick_abort139;
      }
    }
  return 0;
  {
  _flick_abort139:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned int _t59_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort290);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->directory_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  {
    struct entry *_t_alloc_ptr;

    _t_alloc_ptr = (struct entry *)(sun_flick_alloc((_data->directory_len + 1) * sizeof(struct entry )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort290);
    _data->directory_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->directory_len * (8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120)))), _flick_abort381);
  for (_t59_array_iter = 0; _t59_array_iter < _data->directory_len; _t59_array_iter++)
    {
      flick_unsigned32_t _t65_temp_string_len;
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned32_t _t66_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned32_t _t67_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
      flick_unsigned32_t _t68_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned32_t _t69_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

      flick_suntcp_decode_new_glob(446);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned32(0, _t65_temp_string_len, flick_unsigned32_t );
      if (_t65_temp_string_len + 1 > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort382);
      flick_suntcp_decode_end_chunk(4);
      flick_suntcp_check_span(_data->directory_len * (8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120)))) - _data->directory_len * (8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120)))) + 116 + 1 * _t65_temp_string_len * 1, _flick_abort382);
      flick_suntcp_decode_new_chunk(1 * _t65_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc((_t65_temp_string_len + 1) * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort382);
        _data->directory_val[_t59_array_iter].filename = _t_alloc_ptr;
      }
      flick_xdr_decode_bcopy(0, _data->directory_val[_t59_array_iter].filename, 1 * _t65_temp_string_len);
      flick_suntcp_decode_end_chunk(1 * _t65_temp_string_len);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_suntcp_check_span(4, _flick_abort415);
      _data->directory_val[_t59_array_iter].filename[_t65_temp_string_len] = 0;
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t59_array_iter].info.st_dev, my_ulong_t );
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t66_array_iter = 0; _t66_array_iter < 3; _t66_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t59_array_iter].info.st_pad1[_t66_array_iter], int );
          flick_suntcp_decode_end_chunk(4);
          continue;
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(12);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t59_array_iter].info.st_pad1, 12);
      flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t59_array_iter].info.st_ino, my_ulong_t );
      flick_xdr_decode_unsigned32(4, _data->directory_val[_t59_array_iter].info.st_mode, my_ulong_t );
      flick_xdr_decode_unsigned32(8, _data->directory_val[_t59_array_iter].info.st_nlink, my_ulong_t );
      flick_xdr_decode_signed32(12, _data->directory_val[_t59_array_iter].info.st_uid, int );
      flick_xdr_decode_signed32(16, _data->directory_val[_t59_array_iter].info.st_gid, my_uid_t );
      flick_xdr_decode_unsigned32(20, _data->directory_val[_t59_array_iter].info.st_rdev, my_ulong_t );
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t67_array_iter = 0; _t67_array_iter < 2; _t67_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t59_array_iter].info.st_pad2[_t67_array_iter], int );
          flick_suntcp_decode_end_chunk(4);
          continue;
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t59_array_iter].info.st_pad2, 8);
      flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->directory_val[_t59_array_iter].info.st_size, int );
      flick_xdr_decode_signed32(4, _data->directory_val[_t59_array_iter].info.st_pad3, int );
      flick_xdr_decode_signed32(8, _data->directory_val[_t59_array_iter].info.st_atime.tv_sec, int );
      flick_xdr_decode_signed32(12, _data->directory_val[_t59_array_iter].info.st_atime.tv_nsec, int );
      flick_xdr_decode_signed32(16, _data->directory_val[_t59_array_iter].info.st_mtime.tv_sec, int );
      flick_xdr_decode_signed32(20, _data->directory_val[_t59_array_iter].info.st_mtime.tv_nsec, int );
      flick_xdr_decode_signed32(24, _data->directory_val[_t59_array_iter].info.st_ctime.tv_sec, int );
      flick_xdr_decode_signed32(28, _data->directory_val[_t59_array_iter].info.st_ctime.tv_nsec, int );
      flick_xdr_decode_signed32(32, _data->directory_val[_t59_array_iter].info.st_blksize, int );
      flick_xdr_decode_signed32(36, _data->directory_val[_t59_array_iter].info.st_blocks, int );
      flick_suntcp_decode_end_chunk(40);
      for (_t68_array_iter = 0; _t68_array_iter < 16; _t68_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _data->directory_val[_t59_array_iter].info.st_fstype[_t68_array_iter], char );
          flick_suntcp_decode_end_chunk(4);
          continue;
        }
#if BYTE_ORDER != BIG_ENDIAN
      for (_t69_array_iter = 0; _t69_array_iter < 8; _t69_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t59_array_iter].info.st_pad4[_t69_array_iter], int );
          flick_suntcp_decode_end_chunk(4);
          continue;
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(32);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t59_array_iter].info.st_pad4, 32);
      flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(446);
      continue;
      {
      _flick_abort444:
        _t59_array_iter--;
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
      _flick_abort415:
        sun_flick_free(_data->directory_val[_t59_array_iter].filename);
      _flick_abort382:
        if ((unsigned int )_t59_array_iter < _data->directory_len)
          goto _flick_abort444;
        goto _flick_abort381;
      }
    }
  return 0;
  {
  _flick_abort381:
    sun_flick_free(_data->directory_val);
  _flick_abort290:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t70_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort447);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->longlist_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->longlist_len, _flick_abort447);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t70_array_iter = 0; _t70_array_iter < _data->longlist_len; _t70_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->longlist_val[_t70_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->longlist_len);
  flick_xdr_encode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_suntcp_encode_end_chunk(4 * _data->longlist_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->longlist_len);
  return 0;
  {
  _flick_abort447:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t71_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort455);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->longlist_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->longlist_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort458);
    _data->longlist_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->longlist_len * 4, _flick_abort460);
  for (_t71_array_iter = 0; _t71_array_iter < _data->longlist_len; _t71_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->longlist_val[_t71_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->longlist_len * 1, _flick_abort463);
  flick_suntcp_decode_new_chunk(4 * _data->longlist_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->longlist_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort463);
    _data->longlist_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_suntcp_decode_end_chunk(4 * _data->longlist_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->longlist_len);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort460:
    sun_flick_free(_data->longlist_val);
  _flick_abort458:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort463:
#endif /* ENDIANness */
  _flick_abort455:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned int _t72_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort465);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->structlist_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->structlist_len, _flick_abort465);
  for (_t72_array_iter = 0; _t72_array_iter < _data->structlist_len; _t72_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->structlist_val[_t72_array_iter].a.a, int );
      flick_xdr_encode_signed32(4, _data->structlist_val[_t72_array_iter].a.b, int );
      flick_xdr_encode_signed32(8, _data->structlist_val[_t72_array_iter].b.a, int );
      flick_xdr_encode_signed32(12, _data->structlist_val[_t72_array_iter].b.b, int );
      flick_suntcp_encode_end_chunk(16);
      continue;
    }
  flick_suntcp_encode_end_glob(16 * _data->structlist_len);
  return 0;
  {
  _flick_abort465:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned int _t73_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort471);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->structlist_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->structlist_len);
  {
    struct outer *_t_alloc_ptr;

    _t_alloc_ptr = (struct outer *)(sun_flick_alloc((_data->structlist_len + 1) * sizeof(struct outer )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort471);
    _data->structlist_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->structlist_len * 16, _flick_abort475);
  for (_t73_array_iter = 0; _t73_array_iter < _data->structlist_len; _t73_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->structlist_val[_t73_array_iter].a.a, int );
      flick_xdr_decode_signed32(4, _data->structlist_val[_t73_array_iter].a.b, int );
      flick_xdr_decode_signed32(8, _data->structlist_val[_t73_array_iter].b.a, int );
      flick_xdr_decode_signed32(12, _data->structlist_val[_t73_array_iter].b.b, int );
      flick_suntcp_decode_end_chunk(16);
      continue;
    }
  flick_suntcp_decode_end_glob(16 * _data->structlist_len);
  return 0;
  {
  _flick_abort475:
    sun_flick_free(_data->structlist_val);
  _flick_abort471:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t114_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_check_span(24, _flick_abort480);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t114_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t114_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t115_ignore;
            int *_return;
            directory *_local_arg;
            directory _t116_storage;
            unsigned int _t135_array_iter;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort675);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t115_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t115_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t115_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t115_ignore, unsigned int );
            _return = 0;
            _local_arg = (directory *)(&_t116_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->directory_len, unsigned int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            {
              struct entry *_t_alloc_ptr;

              _t_alloc_ptr = (struct entry *)(auto_flick_alloc((_local_arg->directory_len + 1) * sizeof(struct entry )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort675);
              _local_arg->directory_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->directory_len * (8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120)))), _flick_abort763);
            for (_t135_array_iter = 0; _t135_array_iter < _local_arg->directory_len; _t135_array_iter++)
              {
                flick_unsigned32_t _t142_temp_string_len;
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned32_t _t144_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned32_t _t145_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                flick_unsigned32_t _t146_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned32_t _t147_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                flick_suntcp_decode_new_glob(446);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned32(0, _t142_temp_string_len, flick_unsigned32_t );
                if (_t142_temp_string_len + 1 > 256)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort764);
                flick_suntcp_decode_end_chunk(4);
                flick_suntcp_check_span(_local_arg->directory_len * (8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120)))) - _local_arg->directory_len * (8 * 4 + (16 * 4 + (2 * 4 + (3 * 4 + 120)))) + 116 + 1 * _t142_temp_string_len * 1, _flick_abort764);
                flick_suntcp_decode_new_chunk(1 * _t142_temp_string_len);
                if ((_t142_temp_string_len + 3) & ~3)
                  {
                    flick_xdr_decode_msgptr(0, _local_arg->directory_val[_t135_array_iter].filename, char *);
                  }
                else
                  {
                    char _t143_storage[256];

                    _local_arg->directory_val[_t135_array_iter].filename = (char *)_t143_storage;
                    flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t135_array_iter].filename, 1 * _t142_temp_string_len);
                  }
                flick_suntcp_decode_end_chunk(1 * _t142_temp_string_len);
                flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                flick_suntcp_check_span(4, _flick_abort764);
                _local_arg->directory_val[_t135_array_iter].filename[_t142_temp_string_len] = 0;
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t135_array_iter].info.st_dev, my_ulong_t );
                flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t144_array_iter = 0; _t144_array_iter < 3; _t144_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t135_array_iter].info.st_pad1[_t144_array_iter], int );
                    flick_suntcp_decode_end_chunk(4);
                    continue;
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(12);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t135_array_iter].info.st_pad1, 12);
                flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(24);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t135_array_iter].info.st_ino, my_ulong_t );
                flick_xdr_decode_unsigned32(4, _local_arg->directory_val[_t135_array_iter].info.st_mode, my_ulong_t );
                flick_xdr_decode_unsigned32(8, _local_arg->directory_val[_t135_array_iter].info.st_nlink, my_ulong_t );
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t135_array_iter].info.st_uid, int );
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t135_array_iter].info.st_gid, my_uid_t );
                flick_xdr_decode_unsigned32(20, _local_arg->directory_val[_t135_array_iter].info.st_rdev, my_ulong_t );
                flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t145_array_iter = 0; _t145_array_iter < 2; _t145_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t135_array_iter].info.st_pad2[_t145_array_iter], int );
                    flick_suntcp_decode_end_chunk(4);
                    continue;
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t135_array_iter].info.st_pad2, 8);
                flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(40);
                flick_xdr_decode_signed32(0, _local_arg->directory_val[_t135_array_iter].info.st_size, int );
                flick_xdr_decode_signed32(4, _local_arg->directory_val[_t135_array_iter].info.st_pad3, int );
                flick_xdr_decode_signed32(8, _local_arg->directory_val[_t135_array_iter].info.st_atime.tv_sec, int );
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t135_array_iter].info.st_atime.tv_nsec, int );
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t135_array_iter].info.st_mtime.tv_sec, int );
                flick_xdr_decode_signed32(20, _local_arg->directory_val[_t135_array_iter].info.st_mtime.tv_nsec, int );
                flick_xdr_decode_signed32(24, _local_arg->directory_val[_t135_array_iter].info.st_ctime.tv_sec, int );
                flick_xdr_decode_signed32(28, _local_arg->directory_val[_t135_array_iter].info.st_ctime.tv_nsec, int );
                flick_xdr_decode_signed32(32, _local_arg->directory_val[_t135_array_iter].info.st_blksize, int );
                flick_xdr_decode_signed32(36, _local_arg->directory_val[_t135_array_iter].info.st_blocks, int );
                flick_suntcp_decode_end_chunk(40);
                for (_t146_array_iter = 0; _t146_array_iter < 16; _t146_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_char8(0, _local_arg->directory_val[_t135_array_iter].info.st_fstype[_t146_array_iter], char );
                    flick_suntcp_decode_end_chunk(4);
                    continue;
                  }
#if BYTE_ORDER != BIG_ENDIAN
                for (_t147_array_iter = 0; _t147_array_iter < 8; _t147_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t135_array_iter].info.st_pad4[_t147_array_iter], int );
                    flick_suntcp_decode_end_chunk(4);
                    continue;
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(32);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t135_array_iter].info.st_pad4, 32);
                flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                flick_suntcp_decode_end_glob(446);
                continue;
              _flick_abort_block928:
                {
                  _t135_array_iter = _local_arg->directory_len;
                _flick_abort824:
                  _t135_array_iter--;
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                _flick_abort764:
                  if ((unsigned int )_t135_array_iter < _local_arg->directory_len)
                    goto _flick_abort824;
                  goto _flick_abort763;
                }
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort826);
              flick_suntcp_encode_new_glob(8, _flick_abort826);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort832);
                    break;
                    {
                    _flick_abort832:
                      goto _flick_abort826;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort833);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort833:
                      goto _flick_abort826;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort826:
              goto _flick_abort_block928;
            _flick_abort763:
              auto_flick_free(_local_arg->directory_val);
            _flick_abort675:
              goto _flick_abort674;
            }
          }
          break;
          {
          _flick_abort674:
            goto _flick_abort480;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t148_ignore;
            int *_return;
            longlist *_local_arg;
            longlist _t149_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t150_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort835);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t148_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t148_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t148_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t148_ignore, unsigned int );
            _return = 0;
            _local_arg = (longlist *)(&_t149_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->longlist_len, unsigned int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(4 * _local_arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc((_local_arg->longlist_len + 1) * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort838);
              _local_arg->longlist_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->longlist_len * 4, _flick_abort840);
            for (_t150_array_iter = 0; _t150_array_iter < _local_arg->longlist_len; _t150_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->longlist_val[_t150_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_check_span(4 * _local_arg->longlist_len * 1, _flick_abort843);
            flick_suntcp_decode_new_chunk(4 * _local_arg->longlist_len);
            flick_xdr_decode_msgptr(0, _local_arg->longlist_val, int *);
            flick_suntcp_decode_end_chunk(4 * _local_arg->longlist_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _local_arg->longlist_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block942);
              flick_suntcp_encode_new_glob(8, _flick_abort_block942);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort849);
                    break;
                    {
                    _flick_abort849:
                      goto _flick_abort_block942;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort850);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort850:
                      goto _flick_abort_block942;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block942:
#if BYTE_ORDER != BIG_ENDIAN
            _flick_abort840:
              auto_flick_free(_local_arg->longlist_val);
            _flick_abort838:
#else /* BIG_ENDIAN - do a bcopy*/
            _flick_abort843:
#endif /* ENDIANness */
            _flick_abort835:
              goto _flick_abort834;
            }
          }
          break;
          {
          _flick_abort834:
            goto _flick_abort480;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t151_ignore;
            int *_return;
            structlist *_local_arg;
            structlist _t152_storage;
            unsigned int _t153_array_iter;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort852);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t151_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t151_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t151_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t151_ignore, unsigned int );
            _return = 0;
            _local_arg = (structlist *)(&_t152_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->structlist_len, unsigned int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(16 * _local_arg->structlist_len);
            {
              struct outer *_t_alloc_ptr;

              _t_alloc_ptr = (struct outer *)(auto_flick_alloc((_local_arg->structlist_len + 1) * sizeof(struct outer )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort852);
              _local_arg->structlist_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->structlist_len * 16, _flick_abort856);
            for (_t153_array_iter = 0; _t153_array_iter < _local_arg->structlist_len; _t153_array_iter++)
              {
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_signed32(0, _local_arg->structlist_val[_t153_array_iter].a.a, int );
                flick_xdr_decode_signed32(4, _local_arg->structlist_val[_t153_array_iter].a.b, int );
                flick_xdr_decode_signed32(8, _local_arg->structlist_val[_t153_array_iter].b.a, int );
                flick_xdr_decode_signed32(12, _local_arg->structlist_val[_t153_array_iter].b.b, int );
                flick_suntcp_decode_end_chunk(16);
                continue;
              }
            flick_suntcp_decode_end_glob(16 * _local_arg->structlist_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort856);
              flick_suntcp_encode_new_glob(8, _flick_abort856);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort864);
                    break;
                    {
                    _flick_abort864:
                      goto _flick_abort856;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort865);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort865:
                      goto _flick_abort856;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort856:
              auto_flick_free(_local_arg->structlist_val);
            _flick_abort852:
              goto _flick_abort851;
            }
          }
          break;
          {
          _flick_abort851:
            goto _flick_abort480;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort480);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort480:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort479);
  _flick_abort479:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

